<?php 
/**
 * Plugin Name: Petenica Core
 * Description: Description
 * Plugin URI: http://
 * Author: Nauman Anwar
 * Author URI: http://
 * Version: 1.0.0
 * License: GPL2
 * Domain Path: /languages/
 */

/*
    Copyright (C) Year  Author  Email

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License, version 2, as
    published by the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/define( 'PETENICA_FRAMEWORK_VERSION', '1.0');
define( 'PETENICA_FRAMEWORK_URL', plugin_dir_url( __FILE__ ) );
define( 'PETENICA_FRAMEWORK_DIR', plugin_dir_path( __FILE__ ) );
if ( file_exists( dirname( __FILE__ ) . '/inc/CMB2/init.php' ) ) {
    require_once dirname( __FILE__ ) . '/inc/CMB2/init.php';
    require_once dirname( __FILE__ ) . '/inc/cmb2conditional/cmb2-conditionals.php';
}


add_action( 'cmb2_admin_init', 'cmb2_sample_metaboxes' );
/**
 * Define the metabox and field configurations.
 */
function cmb2_sample_metaboxes() {

    // Start with an underscore to hide fields from custom fields list
    $prefix = '_yourprefix_';

    /**
     * Initiate the metabox
     */
    $cmbpage = new_cmb2_box( array(
        'id'            => 'page_metabox',
        'title'         => __( 'Page ', 'petenica-core' ),
        'object_types'  => array( 'page', ), // Post type
        'context'       => 'normal',
        'priority'      => 'high',
        'show_names'    => true, // Show field names on the left
        // 'cmb_styles' => false, // false to disable the CMB stylesheet
        // 'closed'     => true, // Keep the metabox closed by default
    ) );

    $cmbpage->add_field( array(
    'name'             => 'Breadcrumb Select',
    'desc'             => 'Select an option',
    'id'               => 'breadcrumb_select',
    'type'             => 'select',
    'show_option_none' => true,
    'default'          => 'custom',
    'options'          => array(
        'show' => __( 'Show', 'petenica-core' ),
        'hide'   => __( 'Hide', 'petenica-core' ),
        'none'     => __( 'None', 'petenica-core' ),
    ),
) );
    // Add other metaboxes as needed

}





function petenicacore_init() {
  load_plugin_textdomain( 'petenica-core', false, 'petenica-core/languages' );
}
add_action('init', 'petenicacore_init');
//require 'inc/demo-importer/importer.php';
require 'inc/post-types.php';
require 'inc/loader.php';
require 'inc/woodeal/deal.php';
require 'inc/widgets.php';
require 'inc/vc_templates/appointmentfront.php';
/*Shortcodes */
require 'inc/vc_templates/aboutvideo.php';
require 'inc/vc_templates/appointment.php';
require 'inc/vc_templates/appointmentvet.php';
require 'inc/vc_templates/calculator.php';
require 'inc/vc_templates/catposts.php';
require 'inc/vc_templates/contact.php';
require 'inc/vc_templates/contactmap.php';
require 'inc/vc_templates/counter.php';
require 'inc/vc_templates/counter2.php';
require 'inc/vc_templates/dealproduct.php';
require 'inc/vc_templates/donations.php';
require 'inc/vc_templates/faq.php';
require 'inc/vc_templates/features.php';
require 'inc/vc_templates/features2.php';
require 'inc/vc_templates/features3.php';
require 'inc/vc_templates/gallery.php';
require 'inc/vc_templates/grooming.php';
require 'inc/vc_templates/history.php';
require 'inc/vc_templates/history2.php';
require 'inc/vc_templates/infosection.php';
require 'inc/vc_templates/latestnews.php';
require 'inc/vc_templates/latestnews2.php';
require 'inc/vc_templates/latestproducts.php';
require 'inc/vc_templates/mission.php';
require 'inc/vc_templates/newsletter.php';
require 'inc/vc_templates/newsheader.php';
require 'inc/vc_templates/pricing.php';
require 'inc/vc_templates/pricing2.php';
require 'inc/vc_templates/product-filter.php';
require 'inc/vc_templates/services.php';
require 'inc/vc_templates/services2.php';
require 'inc/vc_templates/services3.php';
require 'inc/vc_templates/servicesvet.php';
require 'inc/vc_templates/showauthorpets.php';
require 'inc/vc_templates/showadoptedpets.php';
require 'inc/vc_templates/showpetsforadoption.php';
require 'inc/vc_templates/showpets.php';
require 'inc/vc_templates/team.php';
require 'inc/vc_templates/team2.php';
require 'inc/vc_templates/team3.php';
require 'inc/vc_templates/team4.php';
require 'inc/vc_templates/testimonial.php';
require 'inc/vc_templates/testimonial2.php';
require 'inc/vc_templates/testimonial2rtl.php';
require 'inc/vc_templates/welcome.php';
require 'inc/vc_templates/welcome2.php';
require 'inc/elementor/widgets.php';




//require 'inc/cat-form.php';
//require 'inc/dog-form.php';

function petenica_petsave($post_id){
    if (  'petenicapet' !== get_post_type( $post_id ) )
        return;

    $inprogress = get_post_meta( $post_id, 'petenica_meta_adoption', $single ); 
    $email = get_post_meta( $post_id, 'petenica_meta_adopter_email', $single ); 
    $pet_name = get_post_meta( $post_id, 'petenica_meta_pet_name', true );
    if ($inprogress == 'yes') {
        $message = 'Hi, Your request to adopt '.$pet_name.' has been approved.  Thanks! ';
        # code...
    }

    if ($inprogress == 'no') {
        $message = 'Hi, Your request to adopt '.$pet_name.' has been declinded.  Thanks! ';
        # code...
    }
    wp_mail( $email, 'Pet Adoption', $message );
}

add_action( 'save_post', 'petenica_petsave', 10, 3 );


add_action( 'before_delete_post', 'petenica_delete_pet' );
add_action( 'pending_to_trash', 'petenica_delete_pet' );
add_action( 'draft_to_trash', 'petenica_delete_pet' );
//add_action( 'publish_to_trash', 'est_delete_booking_dates' );
function petenica_delete_pet( $post ){
    $post_id = ( is_numeric( $post ) ) ? $post : $post->ID;
    global $post_type;
    $submitteremail = get_post_meta( $post_id, 'petsubmitter_email', true );    
    $post_type = ( empty( $post_type ) ) ? get_post_type( $post_id ) : $post_type;
    if ( $post_type == 'petenicapet' ) {
        // The e-mail parameters
        $object   = $post->post_title . " submission was declined!";
        $to  = get_bloginfo('admin_email'); 
       // Concatenate the message
        $message  = "";
        $message .= "Your Pet " . $post->post_title ." will not be submitted right now. So please you can try after some time";
        $message .= " ";        
        // Send the e-mail
        wp_mail( $submitteremail, $object, $message );        
    }
}
//add_action( 'transition_post_status', 'send_email_notification', 10, 3 );


add_action('publish_petenicapet', 'send_notification',10,1);
 
function send_notification($id){
     $submitteremail = get_post_meta( $id, 'petsubmitter_email', true );  
    //Assemble the message
    $object   = $post->post_title . " submission is approved";       
       // Concatenate the message
        $message  = "";
        $message .= "Your Pet " . $post->post_title ."  submission is aproved for listing. You can check on the following link: ";
        $message .= get_permalink($id);        
        // Send the e-mail
        wp_mail( $submitteremail, $object, $message );
}


 
// replace {custom_post_type_name} with the name of your post type
/**/function petenica_thankyou_page() {
$awesome_page_id = get_option("awesome_page_id");
    if (!$awesome_page_id) {
        //create a new page and automatically assign the page template
        $post1 = array(
        'post_title' => "Thank You",
        'post_content' => "",
        'post_status' => "publish",
        'post_type' => 'page',
        );
        $postID = wp_insert_post($post1);
        update_post_meta($postID, "_wp_page_template", "thank-you.php");
        update_option("awesome_page_id", $postID);
    }

}

register_activation_hook(__FILE__, 'petenica_thankyou_page');
function petenica_show_social_share(){
 
global $post;
$args = array( 'position' => 'top', 'animation' => 'true' );
ob_start();
?>
<div class="pull-right social-icon-four clearfix">
    <span class="share">
        <?php echo esc_html__('Share: ','petenica-core') ?></span>
    <?php if ( petenica_get_config('facebook_share', 1) ): ?>
    <a class="facebook" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Facebook" href="http://www.facebook.com/sharer.php?s=100&p&#91;url&#93;=<?php the_permalink(); ?>&p&#91;title&#93;=<?php the_title(); ?>" target="_blank" title="<?php echo esc_html__('Share on facebook', 'petenica-core'); ?>">
        <i class="fa fa-facebook"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('twitter_share', 1) ): ?>
    <a class="twitter" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Twitter" href="http://twitter.com/home?status=<?php the_title(); ?> <?php the_permalink(); ?>" target="_blank" title="<?php echo esc_html__('Share on Twitter', 'petenica-core'); ?>">
        <i class="fa fa-twitter"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('linkedin_share', 1) ): ?>
    <a class="linkedin" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="LinkedIn" href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" target="_blank" title="<?php echo esc_html__('Share on LinkedIn', 'petenica-core'); ?>">
        <i class="fa fa-linkedin"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('google_share', 1) ): ?>
    <a class="google" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Google plus" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,
    '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" target="_blank" title="<?php echo esc_html__('Share on Google plus', 'petenica-core'); ?>">
        <i class="fa fa-google"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('pinterest_share', 1) ): ?>
    <?php $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full'); ?>
    <a class="pinterest" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Pinterest" href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode(get_permalink()); ?>&amp;description=<?php echo urlencode($post->post_title); ?>&amp;media=<?php echo urlencode($full_image[0]); ?>" target="_blank" title="<?php echo esc_html__('Share on Pinterest', 'petenica-core'); ?>">
        <i class="fa fa-pinterest"></i>
    </a>
    <?php endif; ?>
    </ul>
</div>
<?php 
$html = ob_get_clean();
echo $html;
}

function petenica_pet_social_share(){
 
global $post;
$args = array( 'position' => 'top', 'animation' => 'true' );
ob_start();
?>
<div class="pull-left social-icon-four clearfix" style="padding-bottom: 10px;">
    <span class="share">
        <?php echo esc_html__('Share: ','petenica-core') ?></span>
    <?php if ( petenica_get_config('facebook_share', 1) ): ?>
    <a class="facebook" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Facebook" href="http://www.facebook.com/sharer.php?s=100&p&#91;url&#93;=<?php the_permalink(); ?>&p&#91;title&#93;=<?php the_title(); ?>" target="_blank" title="<?php echo esc_html__('Share on facebook', 'petenica-core'); ?>">
        <i class="fa fa-facebook"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('twitter_share', 1) ): ?>
    <a class="twitter" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Twitter" href="http://twitter.com/home?status=<?php the_title(); ?> <?php the_permalink(); ?>" target="_blank" title="<?php echo esc_html__('Share on Twitter', 'petenica-core'); ?>">
        <i class="fa fa-twitter"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('linkedin_share', 1) ): ?>
    <a class="linkedin" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="LinkedIn" href="http://linkedin.com/shareArticle?mini=true&amp;url=<?php the_permalink(); ?>&amp;title=<?php the_title(); ?>" target="_blank" title="<?php echo esc_html__('Share on LinkedIn', 'petenica-core'); ?>">
        <i class="fa fa-linkedin"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('google_share', 1) ): ?>
    <a class="google" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Google plus" href="https://plus.google.com/share?url=<?php the_permalink(); ?>" onclick="javascript:window.open(this.href,
    '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;" target="_blank" title="<?php echo esc_html__('Share on Google plus', 'petenica-core'); ?>">
        <i class="fa fa-google"></i>
    </a>
    <?php endif; ?>
    <?php if ( petenica_get_config('pinterest_share', 1) ): ?>
    <?php $full_image = wp_get_attachment_image_src(get_post_thumbnail_id(), 'full'); ?>
    <a class="pinterest" data-toggle="tooltip" data-placement="<?php echo esc_attr($args['position']); ?>" data-animation="<?php echo esc_attr($args['animation']); ?>" data-original-title="Pinterest" href="http://pinterest.com/pin/create/button/?url=<?php echo urlencode(get_permalink()); ?>&amp;description=<?php echo urlencode($post->post_title); ?>&amp;media=<?php echo urlencode($full_image[0]); ?>" target="_blank" title="<?php echo esc_html__('Share on Pinterest', 'petenica-core'); ?>">
        <i class="fa fa-pinterest"></i>
    </a>
    <?php endif; ?>
    </ul>
</div>
<?php 
$html = ob_get_clean();
echo $html;
}
function send_mail($to, $subject, $message){
   
     wp_mail( $to, $subject, $message );
}






/**
 * Register the form and fields for our front-end submission form
 */
function petsubmission_frontend_form_register() {
     $prefix = 'petenica_meta_';
    $petsubmission = new_cmb2_box( array(
        'id'           => 'front-end-pet-form',
        'object_types' => array( 'petenicapet' ),
        'hookup'       => false,
        'save_fields'  => false,
    ) );
    $petsubmission->add_field( array(
        'name'    => __( 'New Pet Title', 'YOURTEXTDOMAIN' ),
        'id'      => 'submitted_post_title',
        'type'    => 'text',
        'default' => ! empty( $_POST['submitted_post_title'] )
            ? $_POST['submitted_post_title']
            : __( 'New Pet', 'petenica-core' ),
    ) );
     $petsubmission->add_field( array(
        'name'             => esc_html__( 'Available for Interstate Adoption', 'petenica-core' ),
        'desc'             => esc_html__( 'Select  yes or no', 'petenica-core' ),
        'id'               => $prefix . 'interstate',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'yes' => esc_html__( 'Yes', 'petenica-core' ),
            'no'   => esc_html__( 'No', 'petenica-core' ),
        ),
    ) );
     $petsubmission->add_field( array(
        'default_cb' => 'yourprefix_maybe_set_default_from_posted_values',
        'name'       => __( 'Locations', 'YOURTEXTDOMAIN' ),
        'id'         => 'statelocations',
        'type'       => 'taxonomy_select',
        'taxonomy'   => 'pet-location', // Taxonomy Slug
    ) );
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Rescue’s Name', 'petenica-core' ),
        'id'         => $prefix . 'resecues_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name' => 'Your Email',
        'id'   => 'petsubmitter_email',
        'type' => 'text_email',
        'attributes'  => array(
        'placeholder' => 'Your Email',
        'required'    => 'required',
    ),
    ) );
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Pet Name', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Enter the name of pet', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'default_cb' => 'petsubmission_maybe_set_default_from_posted_values',
        'name'       => __( 'Pet Description', 'petenica-core' ),
        'id'         => 'submitted_post_content',
        'type'       => 'wysiwyg',
        'options'    => array(
            'textarea_rows' => 12,
            'media_buttons' => false,
        ),
    ));
   /* $petsubmission->add_field( array(
        'default_cb' => 'petsubmission_maybe_set_default_from_posted_values',
        'name'       => __( 'Featured Image for New Pet', 'YOURTEXTDOMAIN' ),
        'id'         => 'submitted_post_thumbnail',
        'type'       => 'text',
        'attributes' => array(
            'type' => 'file', // Let's use a standard file upload field
        ),
    ) );*/

    $petsubmission->add_field( array(
        'name' => 'Pet Image',
        'desc' => '',
        'id'   => $prefix . 'pet_images',
        'type' => 'file_list',
        // 'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
        // 'query_args' => array( 'type' => 'image' ), // Only images attachment
        // Optional, override default text strings
        'text' => array(
            'add_upload_files_text' => 'Images', // default: "Add or Upload Files"
            'remove_image_text' => 'Images', // default: "Remove Image"
            'file_text' => 'Images', // default: "File:"
            'file_download_text' => 'Images', // default: "Download"
            'remove_text' => 'Images', // default: "Remove"
        ),
    ));
    $petsubmission->add_field( array(
        'name' => 'Featured Pet',
        'desc' => 'select if featured is selected',
        'id'   => $prefix.'isfeatured',
        'type' => 'checkbox',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Name', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Enter Pet Name', 'petenica-core' ),
        ),
        'id'         => $prefix . 'pet_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'             => esc_html__( 'Pet Gender', 'petenica-core' ),
        'desc'             => esc_html__( 'Select gender of pet', 'petenica-core' ),
        'id'               => $prefix . 'pet_gender',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'male' => esc_html__( 'Male', 'petenica-core' ),
            'female'   => esc_html__( 'Female', 'petenica-core' ),
        ),
    ) );
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Age', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Pet Age', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_age',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Size', 'petenica-core' ),
        'attributes'  => array( 
        'placeholder'       => esc_html__( 'Pet Size', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_size',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Weight', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Pet weight', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_weight',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Color', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Pet Color', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_color',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    )); 
    $petsubmission->add_field( array(
        'name'             => esc_html__( 'Desexed', 'petenica-core' ),
        'desc'             => esc_html__( 'Select an option', 'petenica-core' ),
        'id'               => $prefix . 'desex',
        'type'             => 'select',
        'show_option_none' => true,
        'default'          => 'custom',
        'options'          => array(
            'yes' => __( 'Yes', 'petenica-core' ),
            'no'   => __( 'No', 'petenica-core' ),
            'none'     => __( 'Dont Know', 'petenica-core' ),
        ),
    ) );
    $petsubmission->add_field( array(
        'name'             => 'Vaccinated',
        'desc'             => 'Select an option',
        'id'               => $prefix . 'vaci',
        'type'             => 'select',
        'show_option_none' => true,
        'default'          => 'custom',
        'options'          => array(
            'yes' => __( 'Yes', 'petenica-core' ),
            'no'   => __( 'No', 'petenica-core' ),
            'none'     => __( 'Dont Know', 'petenica-core' ),
        ),
    ) );
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Microchip Number', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Microchip Number', 'petenica-core' ),
        'id'         => $prefix . 'microchipno',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Information', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Information', 'petenica-core' ),
        'id'         => $prefix . 'info',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Medical Information', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Medical Information', 'petenica-core' ),
        'id'         => $prefix . 'minfo',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
        'name'       => esc_html__( 'Special Requirements', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Special Requirements', 'petenica-core' ),
        'id'         => $prefix . 'sreq',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_cats',
    ));
    $petsubmission->add_field( array(
    'name' => 'Contact Person info',
    'desc' => 'Enter Contact Person Info Below',
    'type' => 'title',
    'id'   => 'info_title'
) );
    $petsubmission->add_field( array(
        'name' => esc_html__( 'Pet Submitter Name', 'petenica-core' ),
        'id'   => 'petsubmitter_name',
        'type' => 'text',
        
    ) );

   
    $petsubmission->add_field( array(
        'name' => esc_html__( 'Pet Submitter Phone Number ', 'petenica-core' ),
        'id'   => 'petsubmitter_phno',
        'type' => 'text',
        
    ) );
    $petsubmission->add_field( array(
        'name'             => esc_html__( 'We Need Foster Carers', 'petenica-core' ),
        'desc'             => esc_html__( 'field description (optional)', 'petenica-core' ),
        'id'               => $prefix . 'fcarers',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'yes' => esc_html__( 'Yes', 'petenica-core' ),
            'no'   => esc_html__( 'No', 'petenica-core' ),
        ),
    ) );


    $petsubmission->add_field( array(
        'name' => 'Images',
        'id'   => 'imagesupload',
        'type' => 'customupload',
        'desc' => 'Invalid email addresses will be wiped out.',
    ) );
}
add_action( 'cmb2_init', 'petsubmission_frontend_form_register' );
/**
 * Sets the front-end-pet-form field values if form has already been submitted.
 *
 * @return string
 */
function petsubmission_maybe_set_default_from_posted_values( $args, $field ) {
    if ( ! empty( $_POST[ $field->id() ] ) ) {
        return $_POST[ $field->id() ];
    }
    return '';
}
/**
 * Gets the front-end-pet-form cmb instance
 *
 * @return CMB2 object
 */
function petsubmission_frontend_cmb2_get() {
    // Use ID of metabox in petsubmission_frontend_form_register
    $metabox_id = 'front-end-pet-form';
    // Post/object ID is not applicable since we're using this form for submission
    $object_id  = 'fake-oject-id';
    // Get CMB2 metabox object
    return cmb2_get_metabox( $metabox_id, $object_id );
}
/**
 * Handle the cmb_frontend_form shortcode
 *
 * @param  array  $atts Array of shortcode attributes
 * @return string       Form html
 */
function petsubmission_do_frontend_form_submission_shortcode( $atts = array() ) {
    //if ( is_user_logged_in() ) {
    

    // Get CMB2 metabox object
    $cmb = petsubmission_frontend_cmb2_get();
    // Get $cmb object_types
    $post_types = $cmb->prop( 'object_types' );
    // Current user
    $user_id = get_current_user_id();
    // Parse attributes
    $atts = shortcode_atts( array(
        'post_author' => $user_id ? $user_id : 1, // Current user, or admin
        'post_status' => 'pending',
        'post_type'   => 'petenicapet', //reset( $post_types ), // Only use first object_type in array
        'pettype'   => ''
    ), $atts, 'cmb_frontend_form' );
    /*
     * Let's add these attributes as hidden fields to our cmb form
     * so that they will be passed through to our form submission
     */
    foreach ( $atts as $key => $value ) {
        $cmb->add_hidden_field( array(
            'field_args'  => array(
                'id'    => "atts[$key]",
                'type'  => 'hidden',
                'default' => $value,
            ),
        ) );
    }
    // Initiate our output variable
    $output = '';
    // Get any submission errors
    if ( ( $error = $cmb->prop( 'submission_error' ) ) && is_wp_error( $error ) ) {
        // If there was an error with the submission, add it to our ouput.
        $output .= '<h3>' . sprintf( __( 'There was an error in the submission: %s', 'YOURTEXTDOMAIN' ), '<strong>'. $error->get_error_message() .'</strong>' ) . '</h3>';
    }
    // If the post was submitted successfully, notify the user.
    if ( isset( $_GET['post_submitted'] ) && ( $post = get_post( absint( $_GET['post_submitted'] ) ) ) ) {
        // Get submitter's name
        $name = get_post_meta( $post->ID, 'submitted_author_name', 1 );
        $name = $name ? ' '. $name : '';
        // Add notice of submission to our output
        $output .= '<h3>' . sprintf( __( 'Thank you %s, your pet has been submitted and is pending review by a site administrator.', 'YOURTEXTDOMAIN' ), esc_html( $name ) ) . '</h3>'; echo $atts['pettype'].$post->ID;
        wp_set_object_terms( $post->ID, $atts['pettype'], 'pet-type' );
    }
    // Get our form
    $output .= cmb2_get_metabox_form( $cmb, 'fake-oject-id', array( 'save_button' => __( 'Submit Pet', 'YOURTEXTDOMAIN' ) ) );
    return $output;
    //} else {
    //echo 'Your are not logged in please login to submit a pet';
    //}
}
add_shortcode( 'pet_frontend_form', 'petsubmission_do_frontend_form_submission_shortcode' );
/**
 * Handles form submission on save. Redirects if save is successful, otherwise sets an error message as a cmb property
 *
 * @return void
 */
function petsubmission_handle_frontend_new_post_form_submission() {
    // If no form submission, bail
    if ( empty( $_POST ) || ! isset( $_POST['submit-cmb'], $_POST['object_id'] ) ) {
        return false;
    }
    // Get CMB2 metabox object
    $cmb = petsubmission_frontend_cmb2_get();
    $post_data = array();
    // Get our shortcode attributes and set them as our initial post_data args
    if ( isset( $_POST['atts'] ) ) {
        foreach ( (array) $_POST['atts'] as $key => $value ) {
            $post_data[ $key ] = sanitize_text_field( $value );
        }
        unset( $_POST['atts'] );
    }
    // Check security nonce
    if ( ! isset( $_POST[ $cmb->nonce() ] ) || ! wp_verify_nonce( $_POST[ $cmb->nonce() ], $cmb->nonce() ) ) {
        return $cmb->prop( 'submission_error', new WP_Error( 'security_fail', __( 'Security check failed.' ) ) );
    }
    // Check title submitted
    if ( empty( $_POST['submitted_post_title'] ) ) {
        return $cmb->prop( 'submission_error', new WP_Error( 'post_data_missing', __( 'New post requires a title.' ) ) );
    }
    // And that the title is not the default title
   // if ( $cmb->get_field( 'submitted_post_title' )->default() == $_POST['submitted_post_title'] ) {
       // return $cmb->prop( 'submission_error', new WP_Error( 'post_data_missing', __( 'Please enter a new title.' ) ) );
    //}
    /**
     * Fetch sanitized values
     */
    $sanitized_values = $cmb->get_sanitized_values( $_POST );
    // Set our post data arguments
    $post_data['post_title']   = $sanitized_values['submitted_post_title'];
    unset( $sanitized_values['submitted_post_title'] );
    $post_data['post_content'] = $sanitized_values['submitted_post_content'];
    unset( $sanitized_values['submitted_post_content'] );
    $post_data['post_type'] = 'petenicapet';
    // Create the new post
    $new_submission_id = wp_insert_post( $post_data, true );
    // If we hit a snag, update the user
    if ( is_wp_error( $new_submission_id ) ) {
        return $cmb->prop( 'submission_error', $new_submission_id );
    }
    $cmb->save_fields( $new_submission_id, 'post', $sanitized_values );
    /**
     * Other than post_type and post_status, we want
     * our uploaded attachment post to have the same post-data
     */
    unset( $post_data['post_type'] );
    unset( $post_data['post_status'] );
    // Try to upload the featured image
    $img_id = petsubmission_frontend_form_photo_upload( $new_submission_id, $post_data );
    // If our photo upload was successful, set the featured image
    if ( $img_id && ! is_wp_error( $img_id ) ) {
        set_post_thumbnail( $new_submission_id, $img_id );
    }
    /*
     * Redirect back to the form page with a query variable with the new post ID.
     * This will help double-submissions with browser refreshes
     */
    wp_redirect( esc_url_raw( add_query_arg( 'post_submitted', $new_submission_id ) ) );
    exit;
}
add_action( 'cmb2_after_init', 'petsubmission_handle_frontend_new_post_form_submission' );
/**
 * Handles uploading a file to a WordPress post
 *
 * @param  int   $post_id              Post ID to upload the photo to
 * @param  array $attachment_post_data Attachement post-data array
 */
function petsubmission_frontend_form_photo_upload( $post_id, $attachment_post_data = array() ) {
    // Make sure the right files were submitted
    if (
        empty( $_FILES )
        || ! isset( $_FILES['submitted_post_thumbnail'] )
        || isset( $_FILES['submitted_post_thumbnail']['error'] ) && 0 !== $_FILES['submitted_post_thumbnail']['error']
    ) {
        return;
    }
    // Filter out empty array values
    $files = array_filter( $_FILES['submitted_post_thumbnail'] );
    // Make sure files were submitted at all
    if ( empty( $files ) ) {
        return;
    }
    // Make sure to include the WordPress media uploader API if it's not (front-end)
    if ( ! function_exists( 'media_handle_upload' ) ) {
        require_once( ABSPATH . 'wp-admin/includes/image.php' );
        require_once( ABSPATH . 'wp-admin/includes/file.php' );
        require_once( ABSPATH . 'wp-admin/includes/media.php' );
    }
    // Upload the file and send back the attachment post ID
    return media_handle_upload( 'submitted_post_thumbnail', $post_id, $attachment_post_data );
}

add_shortcode( 'cmb-formedit', 'cmb2_do_frontend_editform_shortcode' );
/**
 * Shortcode to display a CMB2 form for a post ID.
 * @param  array  $atts Shortcode attributes
 * @return string       Form HTML markup
 */
function cmb2_do_frontend_editform_shortcode( $atts = array() ) {
    global $post;

    /**
     * Depending on your setup, check if the user has permissions to edit_posts
     */
    if ( ! current_user_can( 'edit_posts' ) ) {
        return __( 'You do not have permissions to edit this post.', 'lang_domain' );
    }

    /**
     * Make sure a WordPress post ID is set.
     * We'll default to the current post/page
     */
    if ( ! isset( $atts['post_id'] ) ) {
        $atts['post_id'] = $post->ID;
    }

    // If no metabox id is set, yell about it
    if ( empty( $atts['id'] ) ) {
        return __( "Please add an 'id' attribute to specify the CMB2 form to display.", 'lang_domain' );
    }

    $metabox_id = esc_attr( $atts['id'] );
    $object_id = absint( $atts['post_id'] );
    // Get our form
    $form = cmb2_get_metabox_form( $metabox_id, $object_id );

    return $form;
}








add_filter( 'rwmb_meta_boxes', 'prefix_register_meta_boxes' );
function prefix_register_meta_boxes( $meta_boxes ) {
    $prefix = 'field_prefix_';
    $meta_boxes[] = array(
        'id'         => 'personal',
        'title'      => 'Personal Information',
        'post_types' => 'post',
        'context'    => 'normal',
        'priority'   => 'high',

        'fields' => array(
            array(
                'name'  => 'Full name',
                'desc'  => 'Format: {First Name} {Last Name}',
                'id'    => $prefix . 'name',
                'type'  => 'text',
            ),
            array(
    'id'               => 'image',
    'name'             => 'Image upload',
    'type'             => 'image_upload',

    // Delete file from Media Library when remove it from post meta?
    // Note: it might affect other posts if you use same file for multiple posts
    'force_delete'     => false,

    // Maximum file uploads.
    'max_file_uploads' => 2,

    // Do not show how many files uploaded/remaining.
    'max_status'       => 'false',

    // Image size that displays in the edit page.
    'image_size'       => 'thumbnail',
),
        )
    );

    // Add more meta boxes if you want
    // $meta_boxes[] = ...

    return $meta_boxes;
}



function cmb2_render_callback_for_customupload( $field, $escaped_value, $object_id, $object_type, $field_type_object ) {
    //echo $field_type_object->input( array( 'type' => 'email' ) );
    ob_start();?>
<div class="col-md-6 upload-form">
    <div class="upload-response"></div>
    <div class="form-group">
        <label>Select Files</label>
        <input type="file" name="files[]" accept="image/*" class="files-data form-control" multiple />
    </div>
    <div class="form-group">
        <!--<input type = "submit" value = "Upload" class = "btn btn-primary btn-upload" />-->
        <button class="btn btn-primary btn-upload">upload</button>
    </div>
</div>
<script type="text/javascript">
jQuery(document).ready(function() {
    // When the Upload button is clicked...
    jQuery('body').on('click', '.upload-form .btn-upload', function(e) {
        e.preventDefault;

        var fd = new FormData();
        var files_data = jQuery('.upload-form .files-data'); // The <input type="file" /> field

        // Loop through each data and create an array file[] containing our files data.
        jQuery.each(jQuery(files_data), function(i, obj) {
            $.each(obj.files, function(j, file) {
                fd.append('files[' + j + ']', file);
            })
        });

        // our AJAX identifier
        fd.append('action', 'cvf_upload_files');

        // uncomment this code if you do not want to associate your uploads to the current page.
        //fd.append('post_id', <?php echo $post->ID; ?>); 

        jQuery.ajax({
            type: 'POST',
            url: "<?php echo admin_url( 'admin-ajax.php' );?>",
            data: fd,
            contentType: false,
            processData: false,
            success: function(response) {
                jQuery('.upload-response').html(response); // Append Server Response
            }
        });
    });
});
</script>
<?php
    $html = ob_get_clean();
    echo $html;
}
add_action( 'cmb2_render_customupload', 'cmb2_render_callback_for_customupload', 10, 5 );

function cmb2_sanitize_customupload_callback( $override_value, $value ) {
    // not an email?
    if ( ! is_email( $value ) ) {
        // Empty the value
        $value = '';
    }
    return $value;
}
add_filter( 'cmb2_sanitize_customupload', 'cmb2_sanitize_customupload_callback', 10, 2 );
?>