<?php 
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Cartpets extends Widget_Base {
	/**
	 * Retrieve the widget name.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'cartpets-section';
	}
	/**
	 * Retrieve the widget title.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget title.
	 */
	public function get_title() {
		return __( 'Cartpets section', 'petenica-core' );
	}
	/**
	 * Retrieve the widget icon.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-posts-ticker';
	}
	/**
	 * Retrieve the list of categories the widget belongs to.
	 *
	 * Used to determine where to display the widget in the editor.
	 *
	 * Note that currently Elementor supports only one category.
	 * When multiple categories passed, Elementor uses the first one.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget categories.
	 */
	public function get_categories() {
		return [ 'custom' ];
	}
	/**
	 * Retrieve the list of scripts the widget depended on.
	 *
	 * Used to set scripts dependencies required to run the widget.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget scripts dependencies.
	 */
	public function get_script_depends() {
		return [ 'petenica-core' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		$categories_array = array('select');
      $categories = get_categories();
      foreach( $categories as $category ){
        $categories_array[] = $category->slug;
      }

		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Pets By Category section setting', 'petenica-core' ),
			]
		);

		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Convenient pet adoption for public')
			]
		);
		$this->add_control(
			'small_title',
			[
				'label' => __( 'Sub Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Well gaudy hound hired inset flailed luxuriant much followed less this maternal oh well unavoidable crudely aloof in more save groomed.')
			]
		);
		$this->add_control(
			'poststyle',
			[
				'label' => __( 'Post Style', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'default' => 'solid',
				'options' => [
					'Select ' => '',
                        'box' => 'Box',
                        'list' => 'List'
 
				],
			]
		);

		$this->add_control(
			'poststyle',
			[
				'label' => __( 'Post Style', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => [
						'default' => 'solid',
						'Select ' => '',
                        'h3' => 'H3',
                        'h4' => 'H4',
                        'h5' => 'H5',
                        'h6' => 'H6',
				],
			]
		);


		$this->add_control(
			'postcolumns',
			[
				'label' => __( 'Post Columns', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => [
		 'Select ' => '',
                        'col1' => __( '1 Column', 'petenica-core' ),
                        'col2' => __( '2 Columns', 'petenica-core' ),
                        'col3' => __( '3 Columns', 'petenica-core' )
                      ],
			]
		);

		$this->add_control(
			'category_id',
			[
				'label' => __( 'Category', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' =>  $categories_array
			]
		);
		$this->add_control(
			'showpostmeta',
			[
				'label' => __( 'Show Post Meta', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' =>  [
					'Select ' => '',
                        'show' => 'Show',
                        'hide' => 'Hide'
                     
				]
			]
		);

		$this->add_control(
			'showpostexcerpt',
			[
				'label' => __( 'Show Post Expert', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' =>  [
					 'Select ' => '',
                        'show' => 'Show',
                        'hide' => 'Hide'
 
				]
			]
		);
		$this->add_control(
			'read_more',
			[
				'label' => __( 'Read More', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => __('Read More', 'petenica-core')
			]
		);

		$this->end_controls_section();





		
	}
	/**
	 * Render the widget output on the frontend.
	 *
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		
		$posts_per_page = $settings['ppp'];
    if ($posts_per_page == 0) {
      $posts_per_page = 1;
    }
    $posts = new WP_Query(array(
        'post_type' => 'petenicapet',
        'posts_per_page' => $posts_per_page,
        'category_name' => $settings['category_id'],
        
    ));
    $sytlecalss = '';
    if ($settings['poststyle'] == 'list') {
      $sytlecalss = 'col-md-6';
    }
        $postcolumns = 'col-md-6';
    if ($settings['postcolumns'] == 'col1') {
      $postcolumns = 'col-md-12';
    }
    if ($settings['postcolumns'] == 'col3') {
      $postcolumns = 'col-md-4';
    }
    $htag = $settings['titlesize'];
    if (empty($htag)) {
      $htag = 'h4';
      # code...
    }
    ?><style>
.cat-posts .posts{
    margin-bottom: 10px;
}
</style>
  <section class="cat-posts">
        
      
      <?php
        $i = 1;
        while ($posts->have_posts()) : $posts->the_post();
        ?>
       
     <?php if ($i<=$posts_per_page): ?>
       
    
     
       <div class="posts <?php echo $postcolumns; ?>">
        <div class="header-post">
          
            <div class="<?php echo $sytlecalss; ?>">
              <div class="himage ">
                <span class="cat">
                <?php echo $settings['category_id']; ?>
                </span>
                <a href="<?php the_permalink(); ?>">
                <?php if (has_post_thumbnail()): ?>
                  <?php the_post_thumbnail(); ?>
                  <?php else: ?>
                    <img src="<?php echo get_stylesheet_directory_uri().'/framework/assets/images/placeholder.jpg' ?>">
                <?php endif ?>
              </a>
                </div>
                
                
              </div>
          <div class="pcontent <?php echo $sytlecalss; ?>">
            <<?php echo $htag; ?>><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></<?php echo $htag; ?>>
          <?php if ($settings['showpostmeta']  == 'show'): ?>
            <div class="post-meta">
            <div class="post-meta-content">
              <span><i class="fa fa-user"></i> <?php the_author(); ?> </span>
              <span><i class="fa fa-comments"></i> <?php comments_number( '0 comment', '1 comment', '% comments' ); ?> </span>
            </div>
          </div>
          <?php endif ?>
          <?php if ($settings['showpostexcerpt']  == 'show'): ?>
            <p><?php echo substr(get_the_excerpt( ), 0,150) ?></p>
          <?php endif; ?>
          </div>
                    
        </div>
      </div> 
       <?php endif ?>
      <?php 
       
$i++;
                endwhile;
                wp_reset_postdata();
                ?>   
  </section> 
		<?php
	}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function _content_template() {
		?>
		<div class="title">
			{{{ settings.title }}}
		</div>
		<?php
	}
}
 ?>