<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */

class Counter2_Section extends \Elementor\Widget_Base {

	public function get_name() {
		return 'counter2';
	}

	public function get_title() {
		return __( 'Counter2 section', 'elementor' );
	}
	public function get_categories() {
		return [ 'custom' ];
	}

	protected function register_controls() {
		  $this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Counter2 section setting', 'petenica-core' ),
			]
		   );
		 //  $this->add_control(
			// 'title',
			// [
			// 	'label' => __( 'Title', 'petenica-core' ),
			// 	'type' =>\Elementor\Controls_Manager::TEXT,
			// 	'default' => ('Works Gallery')
			// ]
		 //   );
		 //  $this->add_control(
			// 's_title',
			// [
			// 	'label' => __( 'Sub Title', 'petenica-core' ),
			// 	'type' =>\Elementor\Controls_Manager::TEXT,
			// 	'default' => ('For professional dog and cat grooming needs')
			// ]
		 //  );
	    $this->end_controls_section();

	    //Start repetor control

		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Counter setting', 'plugin-name' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$repeater = new \Elementor\Repeater();
     
        $repeater->add_control(
			'icon',
			[
				'label' => __( 'Icon', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => [
					
                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'flaticon-van' => 'van',
                        'flaticon-truck' => 'truck',
                        'flaticon-dog-bone' => 'dog-bone',
                        'flaticon-bone' => 'bone',
                        'flaticon-dog-3' => 'dog-3',
                        'flaticon-rabbit' => 'rabbit',
                        'flaticon-easter-bunny' => 'easter-bunny',
                        'flaticon-animals-3' => 'animals-3',
                        'flaticon-animals-2' => 'animals-2',
                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'flaticon-man' => 'man',
                        'flaticon-pawprint' => 'pawprint',
                        'flaticon-pawprint-1' => 'pawprint-1',
                        'flaticon-animals-1' => 'animals-1',
                        'flaticon-dog-2' => 'dog-2',
                        'flaticon-cat' => 'cat',
                        'flaticon-dog-1' => 'dog-1',
                        'flaticon-award' => 'award',
                        'flaticon-medal' => 'medal',
                        'flaticon-animal-3' => 'animal-3',
                        'flaticon-animal-2' => 'animal-2',
                        'flaticon-animals' => 'animals',
                        'flaticon-brush' => 'brush',
                        'flaticon-animal-1' => 'animal-1',
                        'flaticon-dog' => 'dog',
                        'flaticon-animal' => 'animal',
                        'flaticon-siberian-husky' => 'siberian-husky',
                        'flaticon-pet-grooming' => 'pet-grooming',
				],
				'default' => 'icon flaticon-animals-1',
			]
		);
		$repeater->add_control(
			'count_to', [
				'label' => __( 'Count to', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( '745' , 'petenica-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'count_lab', [
				'label' => __( 'Count Label', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'Counter' , 'petenica-core' ),
				'label_block' => true,
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Repeater List', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => __( 'Count 1', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
					[
						'list_title' => __( 'Count 2', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
					[
						'list_title' => __( 'Count 3', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
					[
						'list_title' => __( 'Count 4', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
				],
				'title_field' => '{{{ list_title }}}',
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
		$settings = $this->get_settings_for_display();
		?>
<section class="counter-section-4">
        <div class="container">
            <div class="counter-box">
              <div class="inner-container">
                  <div class="row clearfix">
                   <?php if($settings['list']){
                            	foreach($settings['list'] as $item){?>
                        <!--Column-->
                        <div class="column count-box col-lg-3 col-md-3 col-sm-3 col-xs-12 counted">
                              <div class="inner">
                                  <div class="icon-box">
                                    <span class="<?php echo esc_html($item['icon']); ?>"></span>
                                </div>
                                <div class="content">
                                  <div class="count-outer count-box">
                                      <h2 class="count-text" data-speed="2000" data-stop="<?php echo esc_html($item['count_to']); ?>"></h2>
                                  </div>
                                  <p><?php echo esc_html($item['count_lab']); ?></p>
                                </div>
                            </div>
                        </div>
                    <?php
                            	}
                            } ?>

                    </div>
                </div>
            </div>
        </div>

    </section>
<?php }
	protected function _content_template() {
		?>
<# if ( settings.list.length ) { #>
    <dl>
        <# _.each( settings.list, function( item ) { #>
            <dt class="elementor-repeater-item-{{ item._id }}">{{{ item.list_title }}}</dt>
            <dd>{{{ item.list_content }}}</dd>
            <# }); #>
    </dl>
    <# } #>
        <?php
	}
}