<?php 
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Donation_Section extends Widget_Base {
	/**
	 * Retrieve the widget name.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'test-world';
	}
	/**
	 * Retrieve the widget title.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget title.
	 */
	public function get_title() {
		return __( 'Donation Section', 'petenica-core' );
	}
	/**
	 * Retrieve the widget icon.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-posts-ticker';
	}
	/**
	 * Retrieve the list of categories the widget belongs to.
	 *
	 * Used to determine where to display the widget in the editor.
	 *
	 * Note that currently Elementor supports only one category.
	 * When multiple categories passed, Elementor uses the first one.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget categories.
	 */
	public function get_categories() {
		return [ 'custom' ];
	}
	/**
	 * Retrieve the list of scripts the widget depended on.
	 *
	 * Used to set scripts dependencies required to run the widget.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget scripts dependencies.
	 */
	public function get_script_depends() {
		return [ 'petenica-core' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		
        $args = array('post_type' => 'give_forms', 'posts_per_page' => -1);

        $give_forms = array('0' =>'Select Form ID');
        if( $give_Forms = get_posts( $args ) ){//print_r($give_Forms);
            foreach($give_Forms as $give_form){
                $give_forms[$give_form->ID] = $give_form->post_title;
                //echo(do_shortcode('[contact-form-7 id="'.$give_form->ID.'" title="'.($give_form->post_title).'"]'));
            }
        }
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Donation section setting', 'petenica-core' ),
			]
		);
		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Help Us & Save More Pets')
			]
		);
		$this->add_control(
			's_title',
			[
				'label' => __( 'Sub Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('More forwardly echidna outside tiger split thanks vibrantly gosh hence pangolin however notwithstanding
					leapt untruthful gauchely yikes komodo successful concentrically dully more.')
			]
		);
		$this->add_control(
			'giveform',
			[
				'label' => esc_html__('Select Donation Form', 'petenica-core'),
				'type' =>\Elementor\Controls_Manager::SELECT,
				'options' => $give_forms,
				'label_block' => true,
				'multiple' => false,
			]
		);
		$this->add_control(
			'giveform1',
			[
				'label' => esc_html__('Select Donation Form', 'petenica-core'),
				'type' =>\Elementor\Controls_Manager::SELECT,
				'options' => $give_forms,
				'label_block' => true,
				'multiple' => false,
			]
		);
		$this->add_control(
			'giveform2',
			[
				'label' => esc_html__('Select Donation Form', 'petenica-core'),
				'type' =>\Elementor\Controls_Manager::SELECT,
				'options' => $give_forms,
				'label_block' => true,
				'multiple' => false,
			]
		);
		
		$this->end_controls_section();
	}
	/**
	 * Render the widget output on the frontend.
	 *
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		$gform1 = '[give_form id="'.$settings['giveform'].'"]';
    	$gform2 = '[give_form id="'.$settings['giveform1'].'"]';
    	$gform3 = '[give_form id="'.$settings['giveform2'].'"]';
    
		?>
		<section class="save-pets-section">
    	<div class="auto-container">
        	<h2><?php echo esc_html($settings['title']); ?></h2>
            <div class="text"><?php echo esc_html($settings['s_title']); ?></div>
            <div class="prices-block">
            	<div class="row clearfix">                	
                    <!--Price Block-->
                    <div class="price-block col-md-4 col-sm-6 col-xs-12">
                    	<div class="inner-box gform1">
                        	<h3><?php echo html_entity_decode(give_currency_symbol()); ?></h3>
                        		
                            <?php echo do_shortcode( $gform1 );?>
                        </div>
                    </div>                    
                    <!--Price Block-->
                    <div class="price-block col-md-4 col-sm-6 col-xs-12">
                    	<div class="inner-box gform2">
                        	<h3><?php echo html_entity_decode(give_currency_symbol()); ?></h3>
                        		
                            <?php echo do_shortcode( $gform2 );?>
                        </div>
                    </div>                    
                    <!--Price Block-->
                    <div class="price-block col-md-4 col-sm-6 col-xs-12">
                    	<div class="inner-box gform3">
                        	<h3><?php echo html_entity_decode(give_currency_symbol()); ?></h3>
                        		
                            <?php echo do_shortcode( $gform3 );?>
                        </div>
                    </div>                    
                </div>
            </div>
        </div>
    </section>
		<?php
	}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function _content_template() {
		?>
		<div class="title">
			{{{ settings.title }}}
		</div>
		<?php
	}
}
 ?>