<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */

class Faq extends \Elementor\Widget_Base {

	public function get_name() {
		return 'faq';
	}

	public function get_title() {
		return __( 'Faq section', 'elementor' );
	}
	public function get_categories() {
		return [ 'custom' ];
	}

	protected function register_controls() {
		  $this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Faq section setting', 'petenica-core' ),
			]
		   );
		  $this->add_control(
			's_title',
			[
				'label' => __( 'Small Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Faq')
			]
		   );
		  $this->add_control(
			'title',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Faq,s')
			]
		  );
	    $this->end_controls_section();

	    //Start repetor control

		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Set Prices', 'plugin-name' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$repeater = new \Elementor\Repeater();

		$repeater->add_control(
			'list_title', [
				'label' => __( 'Select Images', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'List Title' , 'petenica-core' ),
				'label_block' => true,
			]
		);
		// $repeater->add_control(
		// 	'image',
		// 	[
		// 		'label' => __( 'Image', 'petenica-core' ),
		// 		'type' => \Elementor\Controls_Manager::MEDIA,
		// 		'default' => [
		// 		'url' => \Elementor\Utils::get_placeholder_image_src('http://localhost/learnwp/wp-content/uploads/2020/01/4-1.jpg'),
		// 		],
		// 		'show' => 'false',
		// 	]
		// );
		$repeater->add_control(
			'faq',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Faq,s')
			]
		  );
		$repeater->add_control(
			'faq_text',
			[
				'label' => __( 'Text', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('It is a long established fact that a reader will be distracted by the readable content of a page when looking at its layout.')
			]
		  );
		$this->add_control(
			'list',
			[
				'label' => __( 'Repeater List', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'default' => [
					[
						'list_title' => __( 'Title 1', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
					[
						'list_title' => __( 'Title 2', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
					[
						'list_title' => __( 'Title 3', 'petenica-core' ),
						'list_content' => __( 'Item content. Click the edit button to change this text.', 'petenica-core' ),
					],
				],
				'title_field' => '{{{ list_title }}}',
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
		$settings = $this->get_settings_for_display();
		?>
<section class="about-faq-section gray-bg section-padding">
            <div class="container">
                <div class="sec-title centered">
                    <div class="separator">
                        <span class="icon flaticon-pawprint-1"></span>
                    </div>
                    <div class="title"><?php echo esc_html($settings['s_title']); ?></div>
                    <h2><?php echo esc_html($settings['title']); ?></h2>
                </div>

                <div class="row">
                    <div class="col-md-12">
                        <div class="accrodion-grp" data-grp-name="faq-accrodion">
                            <?php
                            $count = 1;
                            $class = '';
                        foreach($settings['list'] as $item) {
                            if ($count == 1) {
                                $class = 'active';
                            }
                            else{
                                 $class = '';
                            }
                            ?>
                            <div class="accrodion <?php echo $class; ?>">
                                <div class="accrodion-title">
                                    <h4><?php echo esc_html($item['faq']); ?></h4>
                                </div>
                                <div class="accrodion-content">
                                    <p><?php echo esc_html($item['faq_text']); ?></p>
                                </div>
                            </div>
                            <?php $count++;
                            } ?>
                           
                        </div>
                    </div><!-- /.col-md-12 -->
                </div><!-- /.row -->
            </div><!-- /.container -->
        </section>
	<?php }
	protected function _content_template() {
		?>
		<# if ( settings.list.length ) { #>
		<dl>
			<# _.each( settings.list, function( item ) { #>
				<dt class="elementor-repeater-item-{{ item._id }}">{{{ item.list_title }}}</dt>
				<dd>{{{ item.list_content }}}</dd>
			<# }); #>
			</dl>
		<# } #>
		<?php
	}
}