<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class pet_Grooming_Section extends \Elementor\Widget_Base {

	public function get_name() {
		return 'pet-grooming';
	}

	public function get_title() {
		return __( 'Pet Grooming', 'elementor' );
	}
	public function get_categories() {
		return [ 'custom' ];
	}

	protected function register_controls() {

		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Pet Grooming section', 'petenica-core' ),
			]
		);
		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Special Grooming For')
			]
		);
		$this->add_control(
			's_title',
			[
				'label' => __( 'Sub Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('For professional dog and cat grooming needs Fanatic clearly')
			]
		);
	$this->end_controls_section();

		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Testimonial section', 'plugin-name' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$repeater = new \Elementor\Repeater();

		$repeater->add_control(
			'list_title', [
				'label' => __( 'Pet Groomer section setting', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'List Title' , 'petenica-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'bg_icon',
			[
				'label' => __( 'Big Icon', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => [
					'icon flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'icon flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'icon flaticon-van' => 'van',
                        'icon flaticon-truck' => 'truck',
                        'icon flaticon-dog-bone' => 'dog-bone',
                        'icon flaticon-bone' => 'bone',
                        'icon flaticon-dog-3' => 'dog-3',
                        'icon flaticon-rabbit' => 'rabbit',
                        'icon flaticon-easter-bunny' => 'easter-bunny',
                        'icon flaticon-animals-3' => 'animals-3',
                        'icon flaticon-animals-2' => 'animals-2',
                        'icon flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'icon flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'icon flaticon-man' => 'man',
                        'icon flaticon-pawprint' => 'pawprint',
                        'icon flaticon-pawprint-1' => 'pawprint-1',
                        'icon flaticon-animals-1' => 'animals-1',
                        'icon flaticon-dog-2' => 'dog-2',
                        'icon flaticon-cat' => 'cat',
                        'icon flaticon-dog-1' => 'dog-1',
                        'icon flaticon-award' => 'award',
                        'icon flaticon-medal' => 'medal',
                        'icon flaticon-animal-3' => 'animal-3',
                        'icon flaticon-animal-2' => 'animal-2',
                        'icon flaticon-animals' => 'animals',
                        'icon flaticon-brush' => 'brush',
                        'icon flaticon-animal-1' => 'animal-1',
                        'icon flaticon-dog' => 'dog',
                        'icon flaticon-animal' => 'animal',
                        'icon flaticon-siberian-husky' => 'siberian-husky',
                        'icon flaticon-pet-grooming' => 'pet-grooming',
				],
				'default' => 'icon flaticon-pawprint-1',
			]
		);
		$repeater->add_control(
			'icon',
			[
				'label' => __( 'Icon', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::ICON,
				'include' => [
					'icon flaticon-dog',
					'icon flaticon-easter-bunny',
					'icon flaticon-cat',
					'icon flaticon-pawprint-1',
					
				],
				'default' => 'icon flaticon-dog',
			]
		);
		$repeater->add_control(
			'title', [
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => __( 'Cats' , 'petenica-core' ),
				'show_label' => false,
			]
		);
		$repeater->add_control(
			's_title', [
				'label' => __( 'Text', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => __( 'GROOMING & spa' , 'petenica-core' ),
				'show_label' => false,
			]
		);
		$this->add_control(
			'list',
			[
				'label' => __( 'Repeater List', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ list_title }}}',
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
		$settings = $this->get_settings_for_display();
		?>
		<section class="grooming-section">
    	<div class="auto-container">
        	<!--Sec Title Two-->
            <div class="sec-title-two centered">
            	<div class="title-icon">
                	<img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="img">
                </div>
                <h2><?php echo esc_html($settings['title']); ?></h2>
                <div class="text"><?php echo esc_html($settings['s_title']); ?></div>
            </div>
            <div class="row clearfix">
            	<?php if($settings['list']){
            		foreach($settings['list'] as $item ){?>
                    <div class="groming-block col-md-4 col-sm-6 col-xs-12">
                	<div class="inner-box">
                    	<div class="big-icon">
                        	<span class="<?php echo esc_html($item['bg_icon']); ?>"></span>
                        </div>
                    	<div class="icon-box">
                        	<span class="<?php echo esc_html($item['icon']); ?>"></span>
                        </div>
                        <h3><?php echo esc_html($item['title']); ?></h3>
                        <div class="text"><?php echo esc_html($item['s_title']); ?></div>
                    </div>
                </div>
                <?php  
            		}
            	} ?>
            </div>
        </div>
    </section>
		<?php
	}

	protected function _content_template() {
		?>
		<# if ( settings.list.length ) { #>
		<dl>
			<# _.each( settings.list, function( item ) { #>
				<dt class="elementor-repeater-item-{{ item._id }}">{{{ item.list_title }}}</dt>
				<dd>{{{ item.text }}}</dd>
			<# }); #>
			</dl>
		<# } #>
		<?php
	}
}
?>