<?php 
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Services3_Section extends Widget_Base {
	/**
	 * Retrieve the widget name.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'services3';
	}
	/**
	 * Retrieve the widget title.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget title.
	 */
	public function get_title() {
		return __( 'Services3 section', 'petenica-core' );
	}
	/**
	 * Retrieve the widget icon.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-posts-ticker';
	}
	/**
	 * Retrieve the list of categories the widget belongs to.
	 *
	 * Used to determine where to display the widget in the editor.
	 *
	 * Note that currently Elementor supports only one category.
	 * When multiple categories passed, Elementor uses the first one.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget categories.
	 */
	public function get_categories() {
		return [ 'custom' ];
	}
	/**
	 * Retrieve the list of scripts the widget depended on.
	 *
	 * Used to set scripts dependencies required to run the widget.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget scripts dependencies.
	 */
	public function get_script_depends() {
		return [ 'petenica-core' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Services 3 section setting', 'petenica-core' ),
			]
		);
		$this->add_control(
			'bg_image',
			[
				'label' => __( 'Background Image', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
				'url' => '',
				],
			]
		);
		$this->add_control(
			'c_image',
			[
				'label' => __( 'Center Image', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
				'url' => '',
				],
			]
		);
		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Our Services')
			]
		);
		$this->add_control(
			'subtitle',
			[
				'label' => __( 'Sub Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('For professional dog and cat grooming needs')
			]
		);
		$this->end_controls_section();
	}
	/**
	 * Render the widget output on the frontend.
	 *
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		?>

		<?php  $posts = new WP_Query(array(
                    'post_type' => 'petenica_service',
                    'posts_per_page' => 6
        
                    ));
    $count = 1;
    $html1 = '';
    $html2 = '';
       if ($posts->have_posts()) {
                    while ($posts->have_posts()) {
                        $posts->the_post();
                        $serviceicon = get_post_meta(get_the_ID() ,'petenica_meta_icon', true );
                ?>  <!--Services Block-->
  <?php if ($count <= 3): ?>
    <?php $html1 .= '<!--Services Block Three-->
                    <div class="services-block-three">
                        <div class="inner-box wow fadeInLeft" data-wow-delay="0ms" data-wow-duration="1500ms">
                            <div class="icon-box">
                                <span class="icon '.$serviceicon.'"></span>
                            </div>
                             <h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>
                            <div class="text">'.petenica_substring( get_the_excerpt(), 13, '...' ).'</div>
                            <a href="'.get_permalink().'" class="detail">'.$atts['btntitle1'].'</a>
                        </div>
                    </div>'; ?>
<?php else: ?>
    <?php $html2 .= '<!--Services Block Four-->
                    <div class="services-block-four">
                        <div class="inner-box wow fadeInRight" data-wow-delay="0ms" data-wow-duration="1500ms">
                             <div class="icon-box">
                                <span class="icon '.$serviceicon.'"></span>
                            </div>
                             <h3><a href="'.get_permalink().'">'.get_the_title().'</a></h3>
                            <div class="text">'.petenica_substring( get_the_excerpt(), 13, '...' ).'</div>
                            <a href="'.get_permalink().'" class="detail">'.$atts['btntitle1'].'</a>
                        </div>
                    </div>'; ?>
  <?php endif ?>
  <?php $count++; }} ?>

    <section class="services-section-three" style="background-image:url(<?php echo esc_html($settings['bg_image']['url']); ?>)">
        <div class="auto-container">
            <!--Sec Title Two-->
            <div class="sec-title-two centered">
                <div class="title-icon">
                    <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="img" />
                </div>
                <h2><?php echo esc_html($settings['title']) ?></h2>
                <div class="text"><?php echo esc_html($settings['subtitle']); ?></div>
            </div>
            <div class="row clearfix">
                <!--Column-->
                <div class="column pull-left col-md-4 col-sm-6 col-xs-12">
                    <?php echo $html1; ?> 
                </div>
                <!--Column-->
                <div class="column col-md-4 col-sm-12 col-xs-12">
                    <div class="image">
                        <img src="<?php echo esc_html($settings['c_image']['url']); ?>" alt="img" />
                    </div>
                </div>
                <!--Column-->
                <div class="column pull-right col-md-4 col-sm-6 col-xs-12">
                    
                    <?php echo $html2; ?>
                </div>
            </div>
        </div>
    </section>
		<?php
	}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function _content_template() {
		?>
		<div class="title">
			{{{ settings.title }}}
		</div>
		<?php
	}
}
 ?>