<?php 
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Author_Pets extends Widget_Base {
	/**
	 * Retrieve the widget name.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'author-pets';
	}
	/**
	 * Retrieve the widget title.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget title.
	 */
	public function get_title() {
		return __( 'Author Pets', 'petenica-core' );
	}
	/**
	 * Retrieve the widget icon.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-posts-ticker';
	}
	/**
	 * Retrieve the list of categories the widget belongs to.
	 *
	 * Used to determine where to display the widget in the editor.
	 *
	 * Note that currently Elementor supports only one category.
	 * When multiple categories passed, Elementor uses the first one.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget categories.
	 */
	public function get_categories() {
		return [ 'custom' ];
	}
	/**
	 * Retrieve the list of scripts the widget depended on.
	 *
	 * Used to set scripts dependencies required to run the widget.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget scripts dependencies.
	 */
	public function get_script_depends() {
		return [ 'petenica-core' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Show Current Authors Pet', 'petenica-core' ),
			]
		);
		
		$this->end_controls_section();
	}
	/**
	 * Render the widget output on the frontend.
	 *
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		?>
<div class="">
    
<div class="row" style="border:1px solid #cecece;">
  <div class="col-md-4" style="border-right:1px solid #cecece;">
    <h4 class="text-center"><?php esc_html_e( 'Pet', 'petenica-core' ); ?></h4>
  </div>
  <div class="col-md-4">
    <h4 class="text-center"><?php esc_html_e( 'Actions', 'petenica-core' ); ?></h4>
  </div>
</div>
   <?php $posts_per_page = $settings['ppp'];
  if ($posts_per_page == 0) {
    $posts_per_page = 1;
  }
  $posts = new WP_Query(array(
    'post_type' => 'petenicapet',
    'posts_per_page' => -1,//$posts_per_page,
    //'category_name' => $settings['category_id'],
    'author'    => get_current_user_id(), 
   /* 'tax_query' => array(
      'relation' => 'OR',
      array(
        'taxonomy' => 'pet-type',
        'field' => 'slug',
        'terms' => array(  $settings['category_id'] ),
      ),

    )*/

  )); 
   ?>
 <div class="">
    
<div class="row" style="border:1px solid #cecece;">
  <div class="col-md-4" style="border-right:1px solid #cecece;">
    <h4 class="text-center"><?php esc_html_e( 'Pet', 'petenica-core' ); ?></h4>
  </div>
  <div class="col-md-4">
    <h4 class="text-center"><?php esc_html_e( 'Actions', 'petenica-core' ); ?></h4>
  </div>
</div>
   
  <?php
  $i = 1;
  while ($posts->have_posts()) : $posts->the_post();
    $isfeatured = get_post_meta( get_the_ID(), 'petenica_meta_isfeatured', true ); 
    $images = get_post_meta( get_the_ID(), 'petenica_meta_pet_images', 1);
    ?>

    <?php //if ($i<=$posts_per_page ): ?>
<div class="row" style="margin-bottom: 20px; border:1px solid #cecece; padding: 15px 0;">
      <div class="col-md-4" >
      <div class="posts ">
        <div class="header-post">
          <div class="himage">
            
            <a href="<?php the_permalink(); ?>">
              <?php if (!empty($images)): ?>
               <?php 
               $count = 1; 
               foreach ($images as $id => $url) {            
                if ($count == 1) {
                  echo  wp_get_attachment_image( $id, 'petenica-pets' );
                  $count++;
                }
              }
              ?>
            <?php endif ?>
          </a>
        </div>
        
          <h4 class="text-center"><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h4>

         
      

      </div>
    </div> 
  </div>
      <div class="col-md-2"><a href="<?php echo esc_url( home_url( '/' ) ); ?>edit-pet/?petid=<?php echo get_the_ID(); ?>"><?php esc_html_e( 'Edit Pet', 'petenica-core' ); ?></a></div>
      <div class="col-md-2"><a href="<?php echo get_delete_post_link( get_the_ID(), $deprecated,'true' ); ?>"> <?php esc_html_e( 'Delete Pet', 'petenica-core' ); ?></a></div>
  </div>
<?php //endif ?>
<?php 

$i++;
endwhile;
wp_reset_postdata();
?>    

  </div>
<?php
	}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function _content_template() {
		?>
<div class="title">
    {{{ settings.title }}}
</div>
<?php
	}
}
 ?>