<?php  
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Showpetsforadoption extends Widget_Base {
	/**
	 * Retrieve the widget name.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget name.
	 */
	public function get_name() {
		return 'showpetsforadoption';
	}
	/**
	 * Retrieve the widget title.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget title.
	 */
	public function get_title() {
		return __( 'Showpets for adoption', 'petenica-core' );
	}
	/**
	 * Retrieve the widget icon.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return string Widget icon.
	 */
	public function get_icon() {
		return 'eicon-posts-ticker';
	}
	/**
	 * Retrieve the list of categories the widget belongs to.
	 *
	 * Used to determine where to display the widget in the editor.
	 *
	 * Note that currently Elementor supports only one category.
	 * When multiple categories passed, Elementor uses the first one.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget categories.
	 */
	public function get_categories() {
		return [ 'custom' ];
	}
	/**
	 * Retrieve the list of scripts the widget depended on.
	 *
	 * Used to set scripts dependencies required to run the widget.
	 *
	 * @since 1.0.0
	 *
	 * @access public
	 *
	 * @return array Widget scripts dependencies.
	 */
	public function get_script_depends() {
		return [ 'petenica-core' ];
	}
	/**
	 * Register the widget controls.
	 *
	 * Adds different input fields to allow the user to change and customize the widget settings.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function register_controls() {
		$this->start_controls_section(
			'section_content',
			[
				'label' => __( 'Show pets for adoption', 'petenica-core' ),
			]
		);
		// $this->add_control(
		// 	'bg_image',
		// 	[
		// 		'label' => __( 'Background Image', 'petenica-core' ),
		// 		'type' => \Elementor\Controls_Manager::MEDIA,
		// 		'default' => [
		// 		'url' => \Elementor\Utils::get_placeholder_image_src('http://localhost/learnwp/wp-content/uploads/2020/01/4-1.jpg'),
		// 		],
		// 	]
		// );
		$this->add_control(
			'icon',
			[
				'label' => __( 'Icon', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::SELECT,
				'options' => [
					'icon flaticon-two-dog-pawprints' => 'two-dog-pawprints',
                        'icon flaticon-face-of-staring-dog' => 'face-of-staring-dog',
                        'icon flaticon-van' => 'van',
                        'icon flaticon-truck' => 'truck',
                        'icon flaticon-dog-bone' => 'dog-bone',
                        'icon flaticon-bone' => 'bone',
                        'icon flaticon-dog-3' => 'dog-3',
                        'icon flaticon-rabbit' => 'rabbit',
                        'icon flaticon-easter-bunny' => 'easter-bunny',
                        'icon flaticon-animals-3' => 'animals-3',
                        'icon flaticon-animals-2' => 'animals-2',
                        'icon flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
                        'icon flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
                        'icon flaticon-man' => 'man',
                        'icon flaticon-pawprint' => 'pawprint',
                        'icon flaticon-pawprint-1' => 'pawprint-1',
                        'icon flaticon-animals-1' => 'animals-1',
                        'icon flaticon-dog-2' => 'dog-2',
                        'icon flaticon-cat' => 'cat',
                        'icon flaticon-dog-1' => 'dog-1',
                        'icon flaticon-award' => 'award',
                        'icon flaticon-medal' => 'medal',
                        'icon flaticon-animal-3' => 'animal-3',
                        'icon flaticon-animal-2' => 'animal-2',
                        'icon flaticon-animals' => 'animals',
                        'icon flaticon-brush' => 'brush',
                        'icon flaticon-animal-1' => 'animal-1',
                        'icon flaticon-dog' => 'dog',
                        'icon flaticon-animal' => 'animal',
                        'icon flaticon-siberian-husky' => 'siberian-husky',
                        'icon flaticon-pet-grooming' => 'pet-grooming',
				],
				'default' => 'icon flaticon-pawprint-1',
			]
		);
		$this->add_control(
			'title',
			[
				'label' => __( 'Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('What’s Happening')
			]
		);
		$this->add_control(
			'n_posts',
			[
				'label' => __( 'Number Of posts', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('3')
			]
		);
		$this->add_control(
			's_title',
			[
				'label' => __( 'Sub Title', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Because We Really Care About Your Pets')
			]
		);
		$this->add_control(
			'readmore_text',
			[
				'label' => __( 'Read More button text', 'petenica-core' ),
				'type' =>\Elementor\Controls_Manager::TEXT,
				'default' => ('Read More')
			]
		);
		$this->end_controls_section();
	}
	/**
	 * Render the widget output on the frontend.
	 *
	 * Written in PHP and used to generate the final HTML.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function render() {
		$settings = $this->get_settings_for_display();
		?>
 <section class="adopted-sec">
   <!-- start content -->
   <div class="row">
    <div class="container text-center">
      <!--Sec Title-->
      <div class="sec-title centered">
        <div class="separator">
          <?php if (!empty($titlebg)): ?>
            <img src="<?php echo esc_url($titlebg); ?>">
            <?php else: ?>
              <span class="icon flaticon-pawprint-1"></span>
            <?php endif ?>
          </div>
          <h2><?php echo $settings['title']; ?></h2>
        </div>
        <!-- start grid -->
        <div id="petcarousel2_items" class="owl-carousel owl-theme">
          <?php $args = array('posts_per_page' => -1,'post_type' => 'petenicapet',);
          $query = new WP_Query( $args );
          if ($query-> have_posts()) {
           while ($query->have_posts()) {
            $query-> the_post();
            $pet_name = get_post_meta( get_the_ID(), 'petenica_meta_pet_name', true );    
            //$pet_type = get_post_meta( get_the_ID(), 'petenica_meta_type', true );
            //$pet_breed = get_post_meta( get_the_ID(), 'petenica_meta_breed', true );
            //$pet_location = get_post_meta( get_the_ID(), 'petenica_meta_location', true );
            $images = get_post_meta( get_the_ID(), 'petenica_meta_pet_images', 1);
             $inprogress = get_post_meta( get_the_ID(), 'petenica_meta_adoption', true ); ?>
             <?php if ($inprogress == 'no' || $inprogress == 'No'): ?>
            <!--Pets Block-->
            <div class="pet-block  ">
              <div class="inner-box">
                <div class="image">
                  <?php 
                  $count = 1; 
                  if (!empty($images)) {
                    foreach ($images as $id => $url) {            
                      if ($count == 1) {
                        echo  wp_get_attachment_image( $id, 'petenica-petsimg' );
                        $count++;
                      }
                    }
                  }
                  ?>
                </div>
                <div class="lower-content">
                  <h3><a href="<?php the_permalink(); ?>"><?php echo esc_html( $pet_name ); ?></a></h3>
                  </div>
                </div>
              </div>
               <?php endif ?>
              <?php     
            }
            ?>
            <?php 
          }else{ ?>
            <h2><?php esc_html_e( 'Sorry nothing found', 'petenica' ); ?></h2>
          <?php }
          ?>     </div>
        </div>
      </div>
    </section>
<?php
	}
	/**
	 * Render the widget output in the editor.
	 *
	 * Written as a Backbone JavaScript template and used to generate the live preview.
	 *
	 * @since 1.0.0
	 *
	 * @access protected
	 */
	protected function _content_template() {
		?>
<div class="title">
    {{{ settings.title }}}
</div>
<?php
	}
}
 ?>