<?php
use Elementor\Widget_Base;
use Elementor\Controls_Manager;
if ( ! defined( 'ABSPATH' ) ) exit; // Exit if accessed directly
/**
 * Elementor Hello World
 *
 * Elementor widget for hello world.
 *
 * @since 1.0.0
 */
class Testimonial2_Rtl extends \Elementor\Widget_Base {

	public function get_name() {
		return 'testimonial2-rtl';
	}

	public function get_title() {
		return __( 'Testimonial2 Rtl', 'elementor' );
	}
	public function get_categories() {
		return [ 'custom' ];
	}

	protected function register_controls() {

		
		$this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Testimonial section', petenica-core ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$repeater = new \Elementor\Repeater();

		$repeater->add_control(
			'list_title', [
				'label' => __( 'Testimonial section setting', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'List Title' , 'petenica-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'_image',
			[
				'label' => __( 'Image', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::MEDIA,
				'default' => [
				'url' => \Elementor\Utils::get_placeholder_image_src('http://localhost/learnwp/wp-content/uploads/2020/01/4-1.jpg'),
				],
				'show' => 'false',
			]
		);
		$repeater->add_control(
			'name', [
				'label' => __( 'Name', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'Tina Cambell' , 'petenica-core' ),
				'label_block' => true,
			]
		);
		$repeater->add_control(
			'designition', [
				'label' => __( 'Designation', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'pet owner' , 'petenica-core' ),
			]
		);
		$repeater->add_control(
			'quote', [
				'label' => __( 'Quote', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::TEXT,
				'default' => __( 'pet owner' , 'petenica-core' ),
			]
		);

		$this->add_control(
			'list',
			[
				'label' => __( 'Repeater List', 'petenica-core' ),
				'type' => \Elementor\Controls_Manager::REPEATER,
				'fields' => $repeater->get_controls(),
				'title_field' => '{{{ list_title }}}',
			]
		);

		$this->end_controls_section();

	}

	protected function render() {
		$settings = $this->get_settings_for_display();

		
		?>
<section class="testimonial-style-two">
    <div class="container">
        <div class="testimonial-carousel-two owl-carousel owl-theme">
            <?php if ( $settings['list'] ) {
			              foreach (  $settings['list'] as $item ) {?>
            <div class="item">
                <div class="single-testimonial-style-two">
                    <div class="img-box">
                        <div class="inner">
                            <img src="<?php echo esc_url($item['_image']['url']); ?>" alt="<?php echo $quote['author_name']; ?>">
                        </div><!-- /.inner -->
                    </div><!-- /.img-box -->
                    <div class="text-box">
                        <h3>
                            <?php echo esc_html($item['name']); ?> <span>
                                <?php echo esc_html($item['designition']); ?></span></h3>
                        <p>
                            <?php echo esc_html($item['quote']); ?>
                        </p>
                    </div><!-- /.text-box -->
                </div><!-- /.single-testimonial-style-two -->
            </div><!-- /.item -->
            <?php }} ?>
        </div><!-- /.row -->
    </div><!-- /.container -->
</section>
<script type="text/javascript">
     jQuery(document).on('ready', function() {    
     if (jQuery('.testimonial-carousel-twortl').length) {
        jQuery('.testimonial-carousel-twortl').owlCarousel({
            loop: true,
            margin: 60,
            nav: true,
            rtl:true,
            navText: [
                '<i class="fa fa-long-arrow-left"></i>',
                '<i class="fa fa-long-arrow-right"></i>'
            ],
            dots: false,
            autoWidth: false,
            autoplay: true,
            autoplayTimeout: 3000,
            autoplayHoverPause: true,
            responsive: {
                0: {
                    items: 1,
                    autoWidth: false
                },
                480: {
                    items: 1,
                    autoWidth: false
                },
                600: {
                    items: 2,
                    autoWidth: false
                },
                1000: {
                    items: 2,
                    autoWidth: false
                },
                1200: {
                    items: 2,
                    autoWidth: false
                },
                1400: {
                    items: 2,
                    autoWidth: false
                }
            }
        });
    };
});

 </script>
<?php
	}

	protected function _content_template() {
		?>
<# if ( settings.list.length ) { #>
    <dl>
        <# _.each( settings.list, function( item ) { #>
            <dt class="elementor-repeater-item-{{ item._id }}">{{{ item.list_title }}}</dt>
            <dd>{{{ item.text }}}</dd>
            <# }); #>
    </dl>
    <# } #>
        <?php
	}
}
?>