<?php 
/**
 * Registers a new post type
 * @uses $wp_post_types Inserts new post type object into the list
 *
 * @param string  Post type key, must not exceed 20 characters
 * @param array|string  See optional args description above.
 * @return object|WP_Error the registered post type object, or an error object
 */
function register_petenica_posts() {

	$labels = array(
		'name'               => __( 'Causes', 'petenica-core' ),
		'singular_name'      => __( 'Cause', 'petenica-core' ),
		'add_new'            => _x( 'Add New Cause', 'petenica-core', 'petenica-core' ),
		'add_new_item'       => __( 'Add New Cause', 'petenica-core' ),
		'edit_item'          => __( 'Edit Cause', 'petenica-core' ),
		'new_item'           => __( 'New Cause', 'petenica-core' ),
		'view_item'          => __( 'View Cause', 'petenica-core' ),
		'search_items'       => __( 'Search Causes', 'petenica-core' ),
		'not_found'          => __( 'No Causes found', 'petenica-core' ),
		'not_found_in_trash' => __( 'No Causes found in Trash', 'petenica-core' ),
		'parent_item_colon'  => __( 'Parent Cause:', 'petenica-core' ),
		'menu_name'          => __( 'Causes', 'petenica-core' ),
	);

	$args = array(
		'labels'              => $labels,
		'hierarchical'        => false,
		'description'         => 'description',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => null,
		'menu_icon'           => 'dashicons-heart',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title',
			'editor',
			'author',
			'thumbnail',
			'excerpt',
			
		),
		'show_in_rest' => true,
	);

	register_post_type( 'petenica_cause', $args );
	$labels = array(
		'name'               => __( 'Team Members', 'petenica-core' ),
		'singular_name'      => __( 'Team Member', 'petenica-core' ),
		'add_new'            => _x( 'Add New Team Member', 'petenica-core', 'petenica-core' ),
		'add_new_item'       => __( 'Add New Team Member', 'petenica-core' ),
		'edit_item'          => __( 'Edit Team Member', 'petenica-core' ),
		'new_item'           => __( 'New Team Member', 'petenica-core' ),
		'view_item'          => __( 'View Team Member', 'petenica-core' ),
		'search_items'       => __( 'Search Team Members', 'petenica-core' ),
		'not_found'          => __( 'No Team Members found', 'petenica-core' ),
		'not_found_in_trash' => __( 'No Team Members found in Trash', 'petenica-core' ),
		'parent_item_colon'  => __( 'Parent Team Member:', 'petenica-core' ),
		'menu_name'          => __( 'Team Members', 'petenica-core' ),
	);

	$args = array(
		'labels'              => $labels,
		'hierarchical'        => false,
		'description'         => 'description',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => null,
		'menu_icon'           => 'dashicons-businessman',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title',
			'editor',
			'author',
			'thumbnail',
			'excerpt',
			
		),
	);

	register_post_type( 'petenica_team', $args );


	$labels = array(
		'name'               => __( 'Pet Sitting Packages', 'petenica-core' ),
		'singular_name'      => __( 'Pet Sitting Package', 'petenica-core' ),
		'add_new'            => _x( 'Add New Pet Sitting Package', 'petenica-core', 'petenica-core' ),
		'add_new_item'       => __( 'Add New Pet Sitting Package', 'petenica-core' ),
		'edit_item'          => __( 'Edit Pet Sitting Package', 'petenica-core' ),
		'new_item'           => __( 'New Pet Sitting Package', 'petenica-core' ),
		'view_item'          => __( 'View Pet Sitting Package', 'petenica-core' ),
		'search_items'       => __( 'Search Pet Sitting Package', 'petenica-core' ),
		'not_found'          => __( 'No Pet Sitting Packages found', 'petenica-core' ),
		'not_found_in_trash' => __( 'No Pet Sitting Packages found in Trash', 'petenica-core' ),
		'parent_item_colon'  => __( 'Parent Pet Sitting Package:', 'petenica-core' ),
		'menu_name'          => __( 'Pet Sitting Packages', 'petenica-core' ),
	);

	$args = array(
		'labels'              => $labels,
		'hierarchical'        => false,
		'description'         => 'description',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => null,
		'menu_icon'           => 'dashicons-media-text',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title',
			'editor',
			'author',
			'thumbnail',
			'excerpt',
			
		),
	);

	register_post_type( 'petsitpckg', $args );


	$labels = array(
		'name'               => __( 'Services', 'petenica-core' ),
		'singular_name'      => __( 'Service', 'petenica-core' ),
		'add_new'            => _x( 'Add New Service', 'petenica-core', 'petenica-core' ),
		'add_new_item'       => __( 'Add New Service', 'petenica-core' ),
		'edit_item'          => __( 'Edit Service', 'petenica-core' ),
		'new_item'           => __( 'New Service', 'petenica-core' ),
		'view_item'          => __( 'View Service', 'petenica-core' ),
		'search_items'       => __( 'Search Services', 'petenica-core' ),
		'not_found'          => __( 'No Services found', 'petenica-core' ),
		'not_found_in_trash' => __( 'No Services found in Trash', 'petenica-core' ),
		'parent_item_colon'  => __( 'Parent Service:', 'petenica-core' ),
		'menu_name'          => __( 'Services', 'petenica-core' ),
	);

	$args = array(
		'labels'              => $labels,
		'hierarchical'        => false,
		'description'         => 'description',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => null,
		'menu_icon'           => 'dashicons-heart',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title',
			'editor',
			'author',
			'thumbnail',
			'excerpt',
			
		),
	);

	register_post_type( 'petenica_service', $args );

	$labels = array(
		'name'               => __( 'Appointments', 'petenica-core' ),
		'singular_name'      => __( 'Appointment', 'petenica-core' ),
		'add_new'            => _x( 'Add New Appointment', 'petenica-core', 'petenica-core' ),
		'add_new_item'       => __( 'Add New Appointment', 'petenica-core' ),
		'edit_item'          => __( 'Edit Appointment', 'petenica-core' ),
		'new_item'           => __( 'New Appointment', 'petenica-core' ),
		'view_item'          => __( 'View Appointment', 'petenica-core' ),
		'search_items'       => __( 'Search Appointments', 'petenica-core' ),
		'not_found'          => __( 'No Appointments found', 'petenica-core' ),
		'not_found_in_trash' => __( 'No Appointments found in Trash', 'petenica-core' ),
		'parent_item_colon'  => __( 'Parent Appointment:', 'petenica-core' ),
		'menu_name'          => __( 'Appointments', 'petenica-core' ),
	);

	$args = array(
		'labels'              => $labels,
		'hierarchical'        => false,
		'description'         => 'description',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => null,
		'menu_icon'           => 'dashicons-calendar',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title',
			
		),
	);

	register_post_type( 'petenica_appointment', $args );


	$labels = array(
		'name'               => __( 'Pets', 'petenica-core' ),
		'singular_name'      => __( 'Pet', 'petenica-core' ),
		'add_new'            => _x( 'Add New Pet', 'petenica-core', 'petenica-core' ),
		'add_new_item'       => __( 'Add New Pet', 'petenica-core' ),
		'edit_item'          => __( 'Edit Pet', 'petenica-core' ),
		'new_item'           => __( 'New Pet', 'petenica-core' ),
		'view_item'          => __( 'View Pet', 'petenica-core' ),
		'search_items'       => __( 'Search Pets', 'petenica-core' ),
		'not_found'          => __( 'No Pets found', 'petenica-core' ),
		'not_found_in_trash' => __( 'No Pets found in Trash', 'petenica-core' ),
		'parent_item_colon'  => __( 'Parent Pet:', 'petenica-core' ),
		'menu_name'          => __( 'Pets', 'petenica-core' ),
	);

	$args = array(
		'labels'              => $labels,
		'hierarchical'        => false,
		'description'         => 'description',
		'taxonomies'          => array(),
		'public'              => true,
		'show_ui'             => true,
		'show_in_menu'        => true,
		'show_in_admin_bar'   => true,
		'menu_position'       => null,
		'menu_icon'           => get_template_directory_uri().'/framework/assets/images/pets.png',
		'show_in_nav_menus'   => true,
		'publicly_queryable'  => true,
		'exclude_from_search' => false,
		'has_archive'         => true,
		'query_var'           => true,
		'can_export'          => true,
		'rewrite'             => true,
		'capability_type'     => 'post',
		'supports'            => array(
			'title',
			'author'
		),
	);

	register_post_type( 'petenicapet', $args );
	flush_rewrite_rules();
}

add_action( 'init', 'register_petenica_posts' );

function be_register_taxonomies() {
	$taxonomies = array(
		array(
			'slug'         => 'cat-breed',
			'single_name'  => 'Cat Breed',
			'plural_name'  => 'Cat Breeds',
			'post_type'    => 'petenicapet',
			'rewrite'      => array( 'slug' => 'catbreed' ),
		),
		array(
			'slug'         => 'dog-breed',
			'single_name'  => 'Dog Breed',
			'plural_name'  => 'Dog Breeds',
			'post_type'    => 'petenicapet',
			'rewrite'      => array( 'slug' => 'dogbreed' ),
		),
		array(
			'slug'         => 'pet-breed',
			'single_name'  => 'Specie',
			'plural_name'  => 'Species',
			'post_type'    => 'petenicapet',
			'rewrite'      => array( 'slug' => 'breed' ),
		),
		array(
			'slug'         => 'pet-type',
			'single_name'  => 'Type',
			'plural_name'  => 'Types',
			'post_type'    => 'petenicapet',
			
		),
		array(
			'slug'         => 'pet-location',
			'single_name'  => 'Location',
			'plural_name'  => 'Locations',
			'post_type'    => 'petenicapet',
		),
	);
	foreach( $taxonomies as $taxonomy ) {
		$labels = array(
			'name' => $taxonomy['plural_name'],
			'singular_name' => $taxonomy['single_name'],
			'search_items' =>  'Search ' . $taxonomy['plural_name'],
			'all_items' => 'All ' . $taxonomy['plural_name'],
			'parent_item' => 'Parent ' . $taxonomy['single_name'],
			'parent_item_colon' => 'Parent ' . $taxonomy['single_name'] . ':',
			'edit_item' => 'Edit ' . $taxonomy['single_name'],
			'update_item' => 'Update ' . $taxonomy['single_name'],
			'add_new_item' => 'Add New ' . $taxonomy['single_name'],
			'new_item_name' => 'New ' . $taxonomy['single_name'] . ' Name',
			'menu_name' => $taxonomy['plural_name']
		);
		
		$rewrite = isset( $taxonomy['rewrite'] ) ? $taxonomy['rewrite'] : array( 'slug' => $taxonomy['slug'] );
		$hierarchical = isset( $taxonomy['hierarchical'] ) ? $taxonomy['hierarchical'] : true;

		register_taxonomy( $taxonomy['slug'], $taxonomy['post_type'], array(
			'hierarchical' => $hierarchical,
			'labels' => $labels,
			'show_ui' => true,
			'query_var' => true,
			'rewrite' => $rewrite,
		));
	}
	
}
add_action( 'init', 'be_register_taxonomies' );


global $typeterms;
add_action( 'cmb2_init', 'yourprefix_register_demo_metabox' );
/**
 * Hook in and add a demo metabox. Can only happen on the 'cmb2_admin_init' or 'cmb2_init' hook.
 */
function yourprefix_register_demo_metabox() {
	$prefix = 'petenica_meta_';
	if (function_exists('get_custom_terms')) {
      # code...

		$typeterms = get_custom_terms( 'pet-type'); 

   // foreach( $terms as $term ){
    //  $categories_array[] = $term->slug;
   // }
	}
	$args = array('post_type' => 'give_forms', 'posts_per_page' => -1);

	$give_forms = array();
        if( $give_Forms = get_posts( $args ) ){//print_r($give_Forms);
        	foreach($give_Forms as $give_form){
        		$give_forms[$give_form->ID] = $give_form->post_title;
                //echo(do_shortcode('[contact-form-7 id="'.$give_form->ID.'" title="'.($give_form->post_title).'"]'));
        	}
        }
       // $group_field_id is the field id string, so in this case: $prefix . 'demo'
        $cmb_psitpackg = new_cmb2_box( array(
        	'id'            => $prefix . 'ositpckg',
        	'title'         => esc_html__( 'Package Details', 'petenica-core' ),
				'object_types'  => array( 'petsitpckg' ), // Post type
				// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
				// 'context'    => 'normal',
				// 'priority'   => 'high',
				// 'show_names' => true, // Show field names on the left
				// 'cmb_styles' => false, // false to disable the CMB stylesheet
				// 'closed'     => true, // true to keep the metabox closed by default
				// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
				// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
			) );
        $cmb_psitpackg->add_field( array(
        	'name'       => esc_html__( 'Number of days for package', 'petenica-core' ),
        	'desc'       => esc_html__( 'enter deatils of package', 'petenica-core' ),
        	'id'         =>  'pckgdays',
        	'type'       => 'text',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
		) );
        $group_field_id	 = $cmb_psitpackg->add_field(array(
        	'id'		 => 'pkgdetails1',
        	'type'		 => 'group',
        	'options'	 => array(
					'group_title'	 => __('Enter Per Pet Price', 'petenica-core'), // {#} gets replaced by row number
					'add_button'	 => __('Add Another Package Feature', 'petenica-core'),
					'remove_button'	 => __('Remove Feature', 'petenica-core'),
					'sortable'		 => true,
				),
        ));
        $gField1		 = $cmb_psitpackg->add_group_field($group_field_id, array(
        	'name'	 => __('Entry Number of pets', 'petenica-core'),
        	'id'	 => 'title',
        	'type'	 => 'text',
        ));
        $gField2		 = $cmb_psitpackg->add_group_field($group_field_id, array(
        	'name'			 => __('Enter Price', 'petenica-core'),
        	'id'			 => 'ppprice',
        	'type'			 => 'text',
        ));
        $packagef2	 = $cmb_psitpackg->add_field(array(
        	'id'		 => 'pkgdetails2',
        	'type'		 => 'group',
        	'options'	 => array(
					'group_title'	 => __('Enter Per Pet Price', 'petenica-core'), // {#} gets replaced by row number
					'add_button'	 => __('Add Another Package Feature', 'petenica-core'),
					'remove_button'	 => __('Remove Feature', 'petenica-core'),
					'sortable'		 => true,
				),
        ));
        $gField1		 = $cmb_psitpackg->add_group_field($packagef2, array(
        	'name'	 => __('Entry Additional pets', 'petenica-core'),
        	'id'	 => 'title1',
        	'type'	 => 'text',
        ));
        $gField2		 = $cmb_psitpackg->add_group_field($packagef2, array(
        	'name'			 => __('Enter Price for per pet per day', 'petenica-core'),
        	'id'			 => 'pppdprice',
        	'type'			 => 'text',
        ));

        $packagef3	 = $cmb_psitpackg->add_field(array(
        	'id'		 => 'pkgdetails3',
        	'type'		 => 'group',
        	'options'	 => array(
					'group_title'	 => __('Enter Routine For Sitter', 'petenica-core'), // {#} gets replaced by row number
					'add_button'	 => __('Add Another Package Feature', 'petenica-core'),
					'remove_button'	 => __('Remove Feature', 'petenica-core'),
					'sortable'		 => true,
				),
        ));
        $gField1		 = $cmb_psitpackg->add_group_field($packagef3, array(
        	'name'	 => __('Entry Pet sitter Visit Time', 'petenica-core'),
        	'id'	 => 'visits',
        	'type'	 => 'text',
        ));

        $packagef4	 = $cmb_psitpackg->add_field(array(
        	'id'		 => 'pkgdetails4',
        	'type'		 => 'group',
        	'options'	 => array(
					'group_title'	 => __('Enter What Pet Sitter Will Do', 'petenica-core'), // {#} gets replaced by row number
					'add_button'	 => __('Add Another Package Feature', 'petenica-core'),
					'remove_button'	 => __('Remove Feature', 'petenica-core'),
					'sortable'		 => true,
				),
        ));
        $gField1		 = $cmb_psitpackg->add_group_field($packagef4, array(
        	'name'	 => __('Entry Pet sitter Duty', 'petenica-core'),
        	'id'	 => 'petduty',
        	'type'	 => 'text',
        ));

        $cmb_cause = new_cmb2_box( array(
        	'id'            => $prefix . 'causeform',
        	'title'         => esc_html__( 'Cause Form For Donation', 'petenica-core' ),
		'object_types'  => array( 'petenica_cause' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
		) );
        $cmb_cause->add_field( array(
        	'name'             => 'Select Donation Form',
        	'desc'             => 'Select an option',
        	'id'               => $prefix . 'formid',
        	'type'             => 'select',
        	'show_option_none' => true,
        	'default'          => 'custom',
        	'options'          => $give_forms
        ) );



    $cmb_serv = new_cmb2_box( array(
		'id'            => $prefix . 'metaboxserv',
		'title'         => esc_html__( 'Service Details', 'petenica-core' ),
		'object_types'  => array( 'petenica_service' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
	) );
	$posts = new WP_Query(array(
        'post_type' => 'petenica_team',
        'posts_per_page' => -1,
        
    ));
    $teamnames = array();
    while ($posts->have_posts()) {
    	$posts->the_post();
    	$designation = get_post_meta( get_the_ID(), 'petenica_meta_designation' , true );
    	$teamnames[get_the_title()] = get_the_title();
    }
    
	function show_cat_or_dog_options($key) {
		 global $teamnames;
    // return a standard options array
    	return  $teamnames[$key];
	}
	$tnoptions = show_cat_or_dog_options('tm1');
	$cmb_serv->add_field( array(
        	'name'             => 'Select Person ',
        	'desc'             => 'Select a service Person',
        	'id'               => $prefix . 'person',
        	'type'             => 'select',
        	'show_option_none' => true,
        	'default'          => 'custom',
        	'options'          => $teamnames
        ));
	$cmb_serv->add_field( array(
        	'name'             => 'Select Icon ',
        	'desc'             => 'Select a service icon',
        	'id'               => $prefix . 'icon',
        	'type'             => 'select',
        	'show_option_none' => true,
        	'default'          => 'custom',
        	'options'          => array(
		                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
		                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
		                        'flaticon-van' => 'van',
		                        'flaticon-truck' => 'truck',
		                        'flaticon-dog-bone' => 'dog-bone',
		                        'flaticon-bone' => 'bone',
		                        'flaticon-dog-3' => 'dog-3',
		                        'flaticon-rabbit' => 'rabbit',
		                        'flaticon-easter-bunny' => 'easter-bunny',
		                        'flaticon-animals-3' => 'animals-3',
		                        'flaticon-animals-2' => 'animals-2',
		                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
		                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
		                        'flaticon-man' => 'man',
		                        'flaticon-pawprint' => 'pawprint',
		                        'flaticon-pawprint-1' => 'pawprint-1',
		                        'flaticon-animals-1' => 'animals-1',
		                        'flaticon-dog-2' => 'dog-2',
		                        'flaticon-cat' => 'cat',
		                        'flaticon-dog-1' => 'dog-1',
		                        'flaticon-award' => 'award',
		                        'flaticon-medal' => 'medal',
		                        'flaticon-animal-3' => 'animal-3',
		                        'flaticon-animal-2' => 'animal-2',
		                        'flaticon-animals' => 'animals',
		                        'flaticon-brush' => 'brush',
		                        'flaticon-animal-1' => 'animal-1',
		                        'flaticon-dog' => 'dog',
		                        'flaticon-animal' => 'animal',
		                        'flaticon-siberian-husky' => 'siberian-husky',
		                        'flaticon-pet-grooming' => 'pet-grooming',
		                      )
        ) );
	/**
	 * Sample metabox to demonstrate each field type included
	 */
	$cmb_demo = new_cmb2_box( array(
		'id'            => $prefix . 'metabox',
		'title'         => esc_html__( 'Appointment Details', 'petenica-core' ),
		'object_types'  => array( 'petenica_appointment' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
	) );

	$cmb_demo->add_field( array(
		'name'       => esc_html__( 'Name', 'petenica-core' ),
		'desc'       => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'         => $prefix . 'name',
		'type'       => 'text',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
	) );
	$cmb_demo->add_field( array(
		'name'       => esc_html__( 'Email', 'petenica-core' ),
		'desc'       => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'         => $prefix . 'email',
		'type'       => 'text_email',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
	) );
	

	$cmb_demo->add_field( array(
		'name'       => esc_html__( 'Phone Number', 'petenica-core' ),
		'desc'       => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'         => $prefix . 'phoneno',
		'type'       => 'text',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
	) );

	$cmb_demo->add_field( array(
		'name' => esc_html__( 'Test Date Picker', 'petenica-core' ),
		'desc' => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'   => $prefix . 'textdate',
		'type' => 'text_date',
		// 'date_format' => 'Y-m-d',
	) );

	$cmb_demo->add_field( array(
		'name' => esc_html__( 'Test Date/Time Picker Combo (UNIX timestamp)', 'petenica-core' ),
		'desc' => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'   => $prefix . 'datetime_timestamp',
		'type' => 'text_datetime_timestamp',
	) );

	// This text_datetime_timestamp_timezone field type
	// is only compatible with PHP versions 5.3 or above.
	// Feel free to uncomment and use if your server meets the requirement
	// $cmb_demo->add_field( array(
	// 	'name' => esc_html__( 'Test Date/Time Picker/Time zone Combo (serialized DateTime object)', 'petenica-core' ),
	// 	'desc' => esc_html__( 'field description (optional)', 'petenica-core' ),
	// 	'id'   => $prefix . 'datetime_timestamp_timezone',
	// 	'type' => 'text_datetime_timestamp_timezone',
	// ) );

	$cmb_demo->add_field( array(
		'name'       => esc_html__( 'Pet Category', 'petenica-core' ),
		'desc'       => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'         => $prefix . 'petcat',
		'type'       => 'text',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
	) );
	$cmb_demo->add_field( array(
		'name'       => esc_html__( 'Serrvice Type', 'petenica-core' ),
		'desc'       => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'         => $prefix . 'servtype',
		'type'       => 'text',
		'show_on_cb' => 'yourprefix_hide_if_no_cats', // function should return a bool value
		// 'sanitization_cb' => 'my_custom_sanitization', // custom sanitization callback parameter
		// 'escape_cb'       => 'my_custom_escaping',  // custom escaping callback parameter
		// 'on_front'        => false, // Optionally designate a field to wp-admin only
		// 'repeatable'      => true,
		// 'column'          => true, // Display field value in the admin post-listing columns
	) );
	$cmb_demo->add_field( array(
		'name' => esc_html__( 'Your Message', 'petenica-core' ),
		'desc' => esc_html__( 'field description (optional)', 'petenica-core' ),
		'id'   => $prefix . 'message',
		'type' => 'textarea',
	) );


	/// Pet Details Meta box

	$cmb_pet = new_cmb2_box( array(
		'id'            => $prefix . 'petdetails',
		'title'         => esc_html__( 'Pet Details', 'petenica-core' ),
		'object_types'  => array( 'petenicapet' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
	) );
$cmb_pet->add_field( array(
        'name'       => esc_html__( 'Rescue’s Name', 'petenica-core' ),
        'id'         => $prefix . 'resecues_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));
     $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Pet Name', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Enter the name of pet', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_name',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));
      $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Breed', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Enter the Breed of pet', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_breed',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));

      $cmb_pet->add_field( array(
        'name'             => esc_html__( 'Pet Gender', 'petenica-core' ),
        'desc'             => esc_html__( 'Select gender of Pet', 'petenica-core' ),
        'id'               => $prefix . 'pet_gender',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'male' => esc_html__( 'Male', 'petenica-core' ),
            'female'   => esc_html__( 'Female', 'petenica-core' ),
        ),
    ) );
      $cmb_pet->add_field( array(
        'name'             => esc_html__( 'Pet Size', 'petenica-core' ),
        'desc'             => esc_html__( 'Select an option', 'petenica-core' ),
        'id'               => $prefix . 'dsize',
        'type'             => 'select',
        /**/'show_option_none' => true,
        'default'          => 'custom',
        'options'          => array(
            'kitten ' => __( 'Kitten ', 'petenica-core' ),
            'adult'   => __( ' Adult ', 'petenica-core' ),
            'senior'   => __( ' Senior', 'petenica-core' ),
        ),
    ) );
    $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Age', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Pet Age', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_age',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));
    
     $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Color', 'petenica-core' ),
         'attributes'  => array(
        'placeholder'       => esc_html__( 'Pet Color', 'petenica-core' ),
    ),
        'id'         => $prefix . 'pet_color',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    )); 

     $cmb_pet->add_field( array(
        'name'             => esc_html__( 'Desexed', 'petenica-core' ),
        'desc'             => esc_html__( 'Select an option', 'petenica-core' ),
        'id'               => $prefix . 'desex',
        'type'             => 'select',
        'default'          => 'custom',
        'options'          => array(
            'yes' => __( 'Yes', 'petenica-core' ),
        ),
    ) );
    $cmb_pet->add_field( array(
        'name'             => 'Vaccinated',
        'desc'             => 'Select an option',
        'id'               => $prefix . 'vaci',
        'type'             => 'select',
        'default'          => 'custom',
        'options'          => array(
            'yes' => __( 'Yes', 'cmb2' ),
        ),
    ) );
    $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Microchip Number', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Microchip Number', 'petenica-core' ),
        'id'         => $prefix . 'microchipno',
        'type'       => 'text',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));
    $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Information', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Information', 'petenica-core' ),
        'id'         => $prefix . 'info',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));
    $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Medical Information', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Medical Information', 'petenica-core' ),
        'id'         => $prefix . 'minfo',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));
    $cmb_pet->add_field( array(
        'name'       => esc_html__( 'Special Requirements', 'petenica-core' ),
        'desc'       => esc_html__( 'Pet Special Requirements', 'petenica-core' ),
        'id'         => $prefix . 'sreq',
        'type'       => 'textarea',
        'show_on_cb' => 'yourprefix_hide_if_no_pets',
    ));



    
   
      $cmb_pet->add_field( array(
        'name'             => esc_html__( 'Available for Interstate Adoption', 'petenica-core' ),
        'desc'             => esc_html__( 'Select  yes or no', 'petenica-core' ),
        'id'               => $prefix . 'interstate',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'yes' => esc_html__( 'Yes', 'petenica-core' ),
            'no'   => esc_html__( 'No', 'petenica-core' ),
        ),
    ) );
    
   
   
  
   /* $cmb_pet->add_field( array(
        'default_cb' => 'cmb_pet_maybe_set_default_from_posted_values',
        'name'       => __( 'Featured Image for New Pet', 'YOURTEXTDOMAIN' ),
        'id'         => 'submitted_post_thumbnail',
        'type'       => 'text',
        'attributes' => array(
            'type' => 'file', // Let's use a standard file upload field
        ),
    ) );*/

   
    
    
    $cmb_pet->add_field( array(
    'name' => 'Contact Person info',
    'desc' => 'Enter Contact Person Info Below',
    'type' => 'title',
    'id'   => 'info_title'
) );
    $cmb_pet->add_field( array(
        'name' => esc_html__( 'Submitter Name', 'petenica-core' ),
        'id'   => 'petsubmitter_name',
        'type' => 'text',
        
    ) );
     $cmb_pet->add_field( array(
        'name' => 'Your Email',
        'id'   => 'petsubmitter_email',
        'type' => 'text_email',
        'attributes'  => array(
        'placeholder' => 'Your Email',
        'required'    => 'required',
    ),
    ) );
   
    $cmb_pet->add_field( array(
        'name' => esc_html__( 'Submitter Phone Number ', 'petenica-core' ),
        'id'   => 'petsubmitter_phno',
        'type' => 'text',
        
    ) );
    $cmb_pet->add_field( array(
        'name'             => esc_html__( 'We Need Foster Carers', 'petenica-core' ),
        'desc'             => esc_html__( 'field description (optional)', 'petenica-core' ),
        'id'               => $prefix . 'fcarers',
        'type'             => 'radio_inline',
        'show_option_none' => 'No Selection',
        'options'          => array(
            'yes' => esc_html__( 'Yes', 'petenica-core' ),
            'no'   => esc_html__( 'No', 'petenica-core' ),
        ),
    ) );
     $cmb_pet->add_field( array(
        'name' => 'Pet Image',
        'desc' => '',
        'id'   => $prefix . 'pet_images',
        'type' => 'file_list',
        // 'preview_size' => array( 100, 100 ), // Default: array( 50, 50 )
        // 'query_args' => array( 'type' => 'image' ), // Only images attachment
        // Optional, override default text strings
        'text' => array(
            'add_upload_files_text' => 'Images', // default: "Add or Upload Files"
            'remove_image_text' => 'Images', // default: "Remove Image"
            'file_text' => 'Images', // default: "File:"
            'file_download_text' => 'Images', // default: "Download"
            'remove_text' => 'Images', // default: "Remove"
        ),
    ) );
	
$cmb_petadoption = new_cmb2_box( array(
		'id'            => $prefix . 'petadoption',
		'title'         => esc_html__( 'Pet Adoption', 'petenica-core' ),
		'object_types'  => array( 'petenicapet' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
	) );
$cmb_petadoption->add_field( array(
	'name'             => esc_html__( 'Adopting Process', 'petenica-core' ),
	'desc'             => esc_html__( 'Adoption In progress ', 'petenica-core' ),
	'id'               => $prefix . 'adoption',
	'type'             => 'radio_inline',
	'options'          => array(
		'yes' => esc_html__( 'Yes', 'petenica-core' ),
		'no'   => esc_html__( 'No', 'petenica-core' ),
		'inprogress'   => esc_html__( 'In Progress', 'petenica-core' ),
	),
	'default' => 'no'
) );
$cmb_petadoption->add_field( array(
	'name'       => esc_html__( 'Adopter Name', 'petenica-core' ),
	'desc'       => esc_html__( 'Name of adopter', 'petenica-core' ),
	'id'         => $prefix . 'adopter_name',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_petadoption->add_field( array(
	'name'       => esc_html__( 'Adopter Phone', 'petenica-core' ),
	'desc'       => esc_html__( 'Phone Number of adopter', 'petenica-core' ),
	'id'         => $prefix . 'adopter_phno',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_petadoption->add_field( array(
	'name'       => esc_html__( 'Adopter Email', 'petenica-core' ),
	'desc'       => esc_html__( 'Email of adopter', 'petenica-core' ),
	'id'         => $prefix . 'adopter_email',
	'type'       => 'text_email',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));





$cmb_team = new_cmb2_box( array(
	'id'            => $prefix . 'teamdetails',
	'title'         => esc_html__( 'Team Member Details', 'petenica-core' ),
		'object_types'  => array( 'petenica_team' ), // Post type
		// 'show_on_cb' => 'yourprefix_show_if_front_page', // function should return a bool value
		// 'context'    => 'normal',
		// 'priority'   => 'high',
		// 'show_names' => true, // Show field names on the left
		// 'cmb_styles' => false, // false to disable the CMB stylesheet
		// 'closed'     => true, // true to keep the metabox closed by default
		// 'classes'    => 'extra-class', // Extra cmb2-wrap classes
		// 'classes_cb' => 'yourprefix_add_some_classes', // Add classes through a callback.
	) );
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Designation', 'petenica-core' ),
	'desc'       => esc_html__( 'designation', 'petenica-core' ),
	'id'         => $prefix . 'designation',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Phone no', 'petenica-core' ),
	'desc'       => esc_html__( 'phone number', 'petenica-core' ),
	'id'         => $prefix . 'phno',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Email', 'petenica-core' ),
	'desc'       => esc_html__( 'email address', 'petenica-core' ),
	'id'         => $prefix . 'email',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Designation', 'petenica-core' ),
	'desc'       => esc_html__( 'designation', 'petenica-core' ),
	'id'         => $prefix . 'designation',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Speciallity', 'petenica-core' ),
	'desc'       => esc_html__( 'speciallity', 'petenica-core' ),
	'id'         => $prefix . 'speciallity',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Experience', 'petenica-core' ),
	'desc'       => esc_html__( 'experience', 'petenica-core' ),
	'id'         => $prefix . 'experience',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Availablity', 'petenica-core' ),
	'desc'       => esc_html__( 'availablity', 'petenica-core' ),
	'id'         => $prefix . 'availablity',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Availablity', 'petenica-core' ),
	'desc'       => esc_html__( 'availablity', 'petenica-core' ),
	'id'         => $prefix . 'availablity',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Department', 'petenica-core' ),
	'desc'       => esc_html__( 'department', 'petenica-core' ),
	'id'         => $prefix . 'department',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Emergency Call', 'petenica-core' ),
	'desc'       => esc_html__( 'emergency phone no', 'petenica-core' ),
	'id'         => $prefix . 'emergency',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Facebook', 'petenica-core' ),
	'desc'       => esc_html__( 'facebook url', 'petenica-core' ),
	'id'         => $prefix . 'facebook',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Twitter', 'petenica-core' ),
	'desc'       => esc_html__( 'twitter url', 'petenica-core' ),
	'id'         => $prefix . 'twitter',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Dribble', 'petenica-core' ),
	'desc'       => esc_html__( 'dribble url', 'petenica-core' ),
	'id'         => $prefix . 'bribble',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));
$cmb_team->add_field( array(
	'name'       => esc_html__( 'Google Plus', 'petenica-core' ),
	'desc'       => esc_html__( 'google plus url', 'petenica-core' ),
	'id'         => $prefix . 'gplus',
	'type'       => 'text',
	'show_on_cb' => 'yourprefix_hide_if_no_cats',
));

}

function get_custom_terms($termname){
	$terms = get_terms( array(
		'taxonomy' => $termname,
		'hide_empty' => false,
	) );
	
	$allterms = array();
	foreach ($terms as $term) {
		
		$allterms[$term->slug]= $term->name;
	}
	return $allterms;
}



add_filter( 'manage_petenicapet_posts_columns', 'set_custom_edit_book_columns' );
function set_custom_edit_book_columns($columns) {
	unset( $columns['author'] );
	$columns['status'] = __( 'Adoption Status', 'your_text_domain' );

	return $columns;
}

// Add the data to the custom columns for the book post type:
add_action( 'manage_petenicapet_posts_custom_column' , 'custom_book_column', 10, 2 );
function custom_book_column( $column, $post_id ) {
	switch ( $column ) {



		case 'status' :
		$status = get_post_meta( $post_id , 'petenica_meta_adoption' , true );
		if ($status == 'no') {
			echo 'No';
		}
		elseif ($status == 'yes') {
			echo 'Yes';
		}
		elseif ($status = 'inprogress') {
			echo 'In Progress';
		}

		break;

	}
}
?>