<?php
add_shortcode('petenica_counter', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'bg_image'=> '',
        'title' => '<span>We Offers The Best</span>Pet Care Solutions',
        'count_style' => 'style1'
    ),$atts);
    $counters = vc_param_group_parse_atts($content);
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $countcols = 3;
    if($atts['count_style']=='style2') {
        $countcols = 4;
    }
        ?>
        <!--Counter Section-->
    <section class="counter-section">
    	<div class="auto-container">
        	<div class="image-layer" style="background-image:url(<?php echo $bg_image; ?>)"></div>
            <h2><?php echo $atts['title']; ?></h2>
            <div class="counter-box">
            	<div class="fact-counter">
                    <div class="row clearfix">

                            <?php
                            foreach ($counters as $counter) {
                                
                                ?>
                                <!--Column-->
                        <div class="column counter-column col-md-<?php echo $countcols; ?>   col-sm-6 col-xs-12">
                            <div class="inner">
                            	<div class="icon-box">
                                	<span class="icon flaticon-<?php echo $counter['count_icon'] ?>"></span>
                                </div>
                                <div class="count-outer count-box">
                                    <span class="count-text" data-speed="2000" data-stop="<?php echo $counter['count_to'] ?>">0</span>
                                </div>
                                <h4 class="counter-title"><?php echo $counter['count_label'] ?></h4>
                            </div>
                        </div>

                                
                               
                                <?php
                            }
                            ?>
                            
                           
                        </div>
                    </div><!--projects-counter end-->
                </div>
            </div>
        </section>


        
        <?php
    


    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Counter', 'petenica-core'),
                'description'       => esc_html__('Display counter section.', 'petenica-core'),
                'base'              => 'petenica_counter',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                     array(
                              'type'        => 'dropdown',
                              'heading'     => __('Style'),
                              'param_name'  => 'count_style',
                              'admin_label' => true,
                              'value'       => array(
                                'style 1(4 columns)' => 'style1',
                                'style 2(3 columns)' => 'style2',
                            )),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('Counters', 'petenica-core'),
                        'params' => array(
                            array(
		                      'type'        => 'dropdown',
		                      'heading'     => __('Icon'),
		                      'param_name'  => 'count_icon',
		                      'admin_label' => true,
		                      'value'       => array(
		                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
		                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
		                        'flaticon-van' => 'van',
		                        'flaticon-truck' => 'truck',
		                        'flaticon-dog-bone' => 'dog-bone',
		                        'flaticon-bone' => 'bone',
		                        'flaticon-dog-3' => 'dog-3',
		                        'flaticon-rabbit' => 'rabbit',
		                        'flaticon-easter-bunny' => 'easter-bunny',
		                        'flaticon-animals-3' => 'animals-3',
		                        'flaticon-animals-2' => 'animals-2',
		                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
		                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
		                        'flaticon-man' => 'man',
		                        'flaticon-pawprint' => 'pawprint',
		                        'flaticon-pawprint-1' => 'pawprint-1',
		                        'flaticon-animals-1' => 'animals-1',
		                        'flaticon-dog-2' => 'dog-2',
		                        'flaticon-cat' => 'cat',
		                        'flaticon-dog-1' => 'dog-1',
		                        'flaticon-award' => 'award',
		                        'flaticon-medal' => 'medal',
		                        'flaticon-animal-3' => 'animal-3',
		                        'flaticon-animal-2' => 'animal-2',
		                        'flaticon-animals' => 'animals',
		                        'flaticon-brush' => 'brush',
		                        'flaticon-animal-1' => 'animal-1',
		                        'flaticon-dog' => 'dog',
		                        'flaticon-animal' => 'animal',
		                        'flaticon-siberian-husky' => 'siberian-husky',
		                        'flaticon-pet-grooming' => 'pet-grooming',
		                      )),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'count_to',
                                'heading' => esc_html__('Count to', 'petenica-core'),
                                'description' => esc_html__('Input the value in numeric number', 'petenica-core'),
                                'value' => '748'
                            ),
                            
                            array(
                                'type' => 'textfield',
                                'param_name' => 'count_label',
                                'heading' => esc_html__('Count label', 'petenica-core'),
                                'value' => 'Pet Adoptions'
                            ),
                        )
                    )
                ),
            )
        );

    }
});
