<?php
add_shortcode('petenica_dealproduct', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title'         => 'What’s Happening',
        'small_title'   => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'read_more'     => 'Read More',
        'order'         => 'ASC',
        'bg_image' => ''
        
        
    ),$atts);
    
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $posts = new WP_Query(array(
        'post_type' => 'product',
        'posts_per_page' => -1,
        'order' => $atts['order'],
        
    ));
    ?>
    <!--Discount Section-->
    <section class="discount-section">
    	<div class="auto-container">
        	<div class="inner-container" style="background-image:url(<?php echo $bg_image; ?>)">
            	<div class="content">
            		<?php
                $i = 1;
                 while ($posts->have_posts()) : $posts->the_post();
                    global $product;
                    $isdeal = get_post_meta( get_the_ID(), 'isdeal', true );
                ?>
                <?php if ($isdeal): ?>
                	<div class="deal"><?php the_title(); ?></div>
                    <h2><?php echo get_post_meta( get_the_ID(), 'itemtitle', true ); ?></h2>
                    <div class="discount-price"><?php echo $product->get_price_html(); ?></div>
                    <div class="text"><?php the_excerpt(); ?></div>
                    <div class="time-counter"><div class="time-countdown clearfix" data-countdown="<?php echo get_post_meta( get_the_ID(), 'enddate', true ); ?>"></div></div>
                    <a href="<?php the_permalink(); ?>" class="theme-btn btn-style-nine">view details</a>
                <?php endif ?>
                	
                    <?php
                    $i++;
                endwhile;
                wp_reset_postdata();
                ?>    
               
                </div>
            </div>
        </div>
    </section>
    <!--End Discount Section-->

    
       
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Prodcut On Deal', 'petenica-core'),
                'description'       => esc_html__('Display product on deal ', 'petenica-core'),
                'base'              => 'petenica_dealproduct',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                     array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                	array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'RECENT WORK',
                        'holder' => 'h2',
                        
                    ),
                    /*array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                        'type' => 'dropdown',
                        'param_name' => 'order',
                        'heading' => esc_html__('Post order', 'petenica-core'),
                        'value' => array(
                            'Ascending' => 'ASC',
                            'Descending ' => 'DESC',
                        )
                    ),*/
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'read_more',
                        'heading' => esc_html__('Read more link label', 'petenica-core'),
                        'value' => 'More Details'
                    ),
                ),
            )
        );

    }
});
