<?php
add_shortcode('petenica_gallery', function($atts, $content) {
    ob_start();
    $atts = shortcode_atts(array(
        'title' => 'Works Gallery',
        'subtitle' => 'For professional dog and cat grooming needs',
    ),$atts);
    $gallery = vc_param_group_parse_atts($content);
    
    ?>
    <!--Gallery Section-->
    <section class="gallery-section">
        <div class="auto-container">
            <!--Sec Title Two-->
            <div class="sec-title-two centered">
                <div class="title-icon">
                    <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="" />
                </div>
                <h2><?php echo $atts['title']; ?></h2>
                <div class="text"><?php echo $atts['subtitle']; ?></div>
            </div>
            <div class="row clearfix">
                <?php  foreach($gallery as $image) { 
                    $gal_image = wp_get_attachment_image_src($image['gal_image'], 'full');
                    $gal_image = isset($gal_image[0]) ? $gal_image[0] : '';?>
                <!--Gallery Item-->
                <div class="gallery-item col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box">
                        <figure class="image-box">
                            <img src="<?php echo $gal_image; ?>" alt="">
                            <!--Overlay Box-->
                            <div class="overlay-box">
                                <div class="overlay-inner">
                                    <div class="content">
                                        <a href="<?php echo $gal_image; ?>" data-fancybox="images" data-caption="" class="link"><span class="icon fa fa-search"></span></a>
                                    </div>
                                </div>
                            </div>
                        </figure>
                    </div>
                </div>
                <?php } ?>
                
                
                
            </div>
        </div>
    </section>
    <!--End Gallery Section-->

   
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Gallery', 'petenica-core'),
                'description'       => esc_html__('Create gallery ', 'petenica-core'),
                'base'              => 'petenica_gallery',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                   
                    
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('Images', 'petenica-core'),
                        'params' => array(
                           
                            array(
                                'type' => 'attach_image',
                                'param_name' => 'gal_image',
                                'heading' => esc_html__('Image', 'petenica-core'),
                                'value' => ''
                            ),
                        )
                    )
                ),
            )
        );

    }
});
