<?php
add_shortcode('petenica_grooming', function($atts, $content) {
    ob_start();
    $atts = shortcode_atts(array(
        'title' => 'Special Grooming For',
        'subtitle' => 'For professional dog and cat grooming needs Fanatic clearly',
        'style' => 'style_01',
        'bg_image'=> '',
    ),$atts);
    $services = vc_param_group_parse_atts($content);
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    ?>
    <!--Groming Section-->
    <section class="grooming-section">
    	<div class="auto-container">
        	<!--Sec Title Two-->
            <div class="sec-title-two centered">
            	<div class="title-icon">
                	<img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="" />
                </div>
                <h2><?php echo $atts['title']; ?></h2>
                <div class="text"><?php echo $atts['subtitle']; ?></div>
            </div>
            <div class="row clearfix">
            	<?php 	foreach($services as $service) {
                ?>  <!--Services Block-->
                <!--Groming Block-->
                <div class="groming-block col-md-4 col-sm-6 col-xs-12">
                	<div class="inner-box">
                    	<div class="big-icon">
                        	<span class="icon flaticon-pawprint-1"></span>
                        </div>
                    	<div class="icon-box">
                        	<span class="icon flaticon-<?php echo $service['icon'] ?>"></span>
                        </div>
                        <h3><?php echo $service['title'] ?></h3>
                        <div class="text"><?php echo $service['text'] ?></div>
                    </div>
                </div>
                <?php }   ?>
                
                
            </div>
        </div>
    </section>
    <!--End Groming Section-->
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Pet Grooming', 'petenica-core'),
                'description'       => esc_html__('Create grooming sectioin ', 'petenica-core'),
                'base'              => 'petenica_grooming',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                   
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('Services', 'petenica-core'),
                        'params' => array(
                           
                            array(
                                'type' => 'textfield',
                                'param_name' => 'title',
                                'heading' => esc_html__('Title', 'petenica-core'),
                                'value' => 'Cats'
                            ),
                            array(
                                'type' => 'textarea',
                                'param_name' => 'text',
                                'heading' => esc_html__('text', 'petenica-core'),
                                'value' => 'GROOMING & spa'
                            ),
                            array(
		                      'type'        => 'dropdown',
		                      'heading'     => __('Icon'),
		                      'param_name'  => 'icon',
		                      'admin_label' => true,
		                      'value'       => array(
		                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
		                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
		                        'flaticon-van' => 'van',
		                        'flaticon-truck' => 'truck',
		                        'flaticon-dog-bone' => 'dog-bone',
		                        'flaticon-bone' => 'bone',
		                        'flaticon-dog-3' => 'dog-3',
		                        'flaticon-rabbit' => 'rabbit',
		                        'flaticon-easter-bunny' => 'easter-bunny',
		                        'flaticon-animals-3' => 'animals-3',
		                        'flaticon-animals-2' => 'animals-2',
		                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
		                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
		                        'flaticon-man' => 'man',
		                        'flaticon-pawprint' => 'pawprint',
		                        'flaticon-pawprint-1' => 'pawprint-1',
		                        'flaticon-animals-1' => 'animals-1',
		                        'flaticon-dog-2' => 'dog-2',
		                        'flaticon-cat' => 'cat',
		                        'flaticon-dog-1' => 'dog-1',
		                        'flaticon-award' => 'award',
		                        'flaticon-medal' => 'medal',
		                        'flaticon-animal-3' => 'animal-3',
		                        'flaticon-animal-2' => 'animal-2',
		                        'flaticon-animals' => 'animals',
		                        'flaticon-brush' => 'brush',
		                        'flaticon-animal-1' => 'animal-1',
		                        'flaticon-dog' => 'dog',
		                        'flaticon-animal' => 'animal',
		                        'flaticon-siberian-husky' => 'siberian-husky',
		                        'flaticon-pet-grooming' => 'pet-grooming',
		                      )),
                        )
                    )
                ),
            )
        );

    }
});
