<?php
add_shortcode('petenica_infosection', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
    	'phtitle'         => 'Call Support',
        'phno'   => '1-234-567-8900',
        'emailtitle'=> 'Email us',
        'emailaddress' => 'example@exmaple.com',
        'getcoupon' => 'Get Discount Codes',
        'mcf' => '',
        'bg_image'=> '',
    ),$atts);
    $mcform = '[mc4wp_form id="'.$atts['mcf'].'"]';
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    
    ?>
    <!--Info Section-->
    <section class="info-section" style="background-image:url(<?php echo $bg_image; ?>)">
        <div class="auto-container clearfix">
            <ul class="info-lists">
                <li><span class="icon fa fa-phone-square"></span><?php echo $atts['phtitle']; ?>: <strong><?php echo $atts['phno']; ?></strong></li>
                <li><span class="icon fa fa-envelope"></span><?php echo $atts['emailtitle']; ?>: <strong><?php echo $atts['emailaddress']; ?></strong></li>
                <li><span class="icon fa fa-diamond"></span><?php echo $atts['getcoupon']; ?></li>
            </ul>
            <!--Emailed Form-->
            <div class="emailed-form">
                <?php echo do_shortcode( $mcform );?>
            </div>
            <!--End Emailed Form-->
        </div>
    </section>
    <!--End Info Section-->        


    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        $args = array('post_type' => 'mc4wp-form', 'posts_per_page' => -1);
        $mc_forms = array('0' =>'Select Form ID');
        if( $mcForms = get_posts( $args ) ){
            foreach($mcForms as $mcForm){
                $mc_forms[$mcForm->post_title] = $mcForm->ID;
                //echo(do_shortcode('[contact-form-7 id="'.$cf7Form->ID.'" title="'.($cf7Form->post_title).'"]'));
            }
        }        vc_map(array(
                'name'              => esc_html__('Info section', 'petenica-core'),
                'description'       => esc_html__('info section', 'petenica-core'),
                'base'              => 'petenica_infosection',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                        'type' => 'textfield',
                        'param_name' => 'phtitle',
                        'heading' => esc_html__('Phone Title', 'petenica-core'),
                        'value' => 'Call Support ',                        
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'phno',
                        'heading' => esc_html__('Phone Number', 'petenica-core'),
                        'value' => '1-234-567-8900',
                        
                    ),
                     array(
                        'type' => 'textfield',
                        'param_name' => 'emailtitle',
                        'heading' => esc_html__('Email Title', 'petenica-core'),
                        'value' => 'Email us',                        
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'emailaddress',
                        'heading' => esc_html__('Email address', 'petenica-core'),
                        'value' => 'example@exmaple.com',                        
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'getcoupon',
                        'heading' => esc_html__('Title 3', 'petenica-core'),
                        'value' => 'Get Discount Codes',
                        
                    ),
                   
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                	
                   array(
                        'type' => 'dropdown',
                        'heading' => __( 'Select Contact Form', 'js_composer' ),
                        'param_name' => 'mcf',
                        'value' => $mc_forms,
                        'save_always' => true,
                        
                    ),
                ),
            )
        );

    }
});
