<?php
add_shortcode('petenica_news', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title'         => 'What’s Happening',
        'small_title'   => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'read_more'     => 'Read More',
        'order'         => 'ASC','titlebg'=> ''
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';

    $posts = new WP_Query(array(
        'post_type' => 'post',
        'posts_per_page' => $atts['ppp'],
        'order' => $atts['order'],   ));     
    
    ?>
    <!--News Section-->
    <section class="news-section" >
    	<div class="auto-container">
        	<!--Sec Title-->
            <div class="sec-title centered">
            	<div class="separator">
                	<?php if (!empty($titlebg)): ?>
                        <img src="<?php echo esc_url($titlebg); ?>">
                    <?php else: ?>
                            <span class="icon flaticon-pawprint-1"></span>
                    <?php endif ?>
                </div>
                <div class="title"><?php echo $atts['small_title']; ?></div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>
            <div class="row clearfix">
            	<?php
                $i = 1;
                 while ($posts->have_posts()) : $posts->the_post();
                ?>
                <!--News Block-->
                <div class="news-block col-md-4 col-sm-6 col-xs-12">
                	<div class="inner-box wow fadeInUp" data-wow-duration="1000ms" data-wow-delay="0ms">
                    	<?php if (has_post_thumbnail()): ?>
                    	<div class="image">
                        	<div class="post-date"><?php the_time( 'd' ); ?>
                                <span><?php the_time( 'M' ); ?></span></div>
                            <a href="<?php the_permalink(); ?>">                            	
                                    <?php the_post_thumbnail(); ?>                                
                            </a>
                        </div>
                    	<?php endif ?> 
                        <div class="lower-content">
                        	<ul class="news-info">
                            	<li><i class="fa fa-folder-o"></i> <?php the_category( ', '); ?></li>
                                <li><i class="fa fa-comments"></i> <?php comments_number( '0 '.esc_html__('comment','petenica'), '1 '.esc_html__('comment','petenica') , '% '.esc_html__('comments','petenica') ); ?></li>
                            </ul>
                            <h3><a href="<?php the_permalink(); ?>"><?php the_title() ?></a></h3>
                            <a href="<?php the_permalink(); ?>" class="read-more"><?php echo $atts['read_more']; ?></a>
                        </div>
                    </div>
                </div>
                <?php
                    $i++;
                endwhile;
                wp_reset_postdata();
                ?>   
            </div>
        </div>
    </section>
    <!--End News Section-->
       
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Blog Posts', 'petenica-core'),
                'description'       => esc_html__('Display blog posts', 'petenica-core'),
                'base'              => 'petenica_news',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                	array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'RECENT WORK',
                        'holder' => 'h2',
                        
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                        'type' => 'dropdown',
                        'param_name' => 'order',
                        'heading' => esc_html__('Post order', 'petenica-core'),
                        'value' => array(
                            'Ascending' => 'ASC',
                            'Descending ' => 'DESC',
                        )
                    ),
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'read_more',
                        'heading' => esc_html__('Read more link label', 'petenica-core'),
                        'value' => 'More Details'
                    ),
                ),
            )
        );

    }
});
