<?php
add_shortcode('petenica_products', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title'         => 'What’s Happening',
        'small_title'   => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'read_more'     => 'Read More',
        'order'         => 'ASC',
        
        
    ),$atts);
    $product_item = isset($product_item) ? $product_item : 'inner';
    $posts = new WP_Query(array(
        'post_type' => 'product',
        'posts_per_page' => $atts['ppp'],
        'order' => $atts['order'],
        
    ));
    ?>
    <!--Products Section-->
    <section class="products-section">
        <div class="auto-container">
            <!--Sec Title Two-->
            <div class="sec-title-two centered">
                <div class="title-icon">
                    <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="" />
                </div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>
            <div class="row clearfix products-grid">

            	<?php
                $i = 1;
                 while ($posts->have_posts()) : $posts->the_post();
                    global $product;
                ?>
                <div class="col-md-3">
                    <?php wc_get_template_part( 'item-product/'.$product_item ); ?>
                </div>
                
                <?php
                    $i++;
                endwhile;
                wp_reset_postdata();
                ?>    
               
                
            </div>
        </div>
    </section>
    <!--End News Section-->
       
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Prodcuts', 'petenica-core'),
                'description'       => esc_html__('Display blog posts', 'petenica-core'),
                'base'              => 'petenica_products',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                
                    array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                        'type' => 'dropdown',
                        'param_name' => 'order',
                        'heading' => esc_html__('Post order', 'petenica-core'),
                        'value' => array(
                            'Ascending' => 'ASC',
                            'Descending ' => 'DESC',
                        )
                    ),
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'read_more',
                        'heading' => esc_html__('Read more link label', 'petenica-core'),
                        'value' => 'More Details'
                    ),
                ),
            )
        );

    }
});
