<?php
add_shortcode('petenica_newsletter', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
    	'title'         => 'Subscribe Newsletter',
        'small_title'   => 'Get weekly news &amp; latest updates from Petenica!',
        'mcf' => '',
        'bg_image'=> '',
    ),$atts);
    $mcform = '[mc4wp_form id="'.$atts['mcf'].'"]';
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    
    ?>
	<section class="subscribe-style-one" style="background-image:url(<?php echo $bg_image; ?>)">
    	<div class="auto-container">
        	<div class="row clearfix">
                <div class="col-md-5 col-sm-12 col-xs-12">
                	<div class="icon-box">
                    	<span class="icon flaticon-message"></span>
                    </div>
                    <h2><?php echo $atts['title']; ?></h2>
                    <div class="text"><?php echo $atts['small_title']; ?></div>
                </div>
                <div class="col-md-7 col-sm-12 col-xs-12">
                	<?php echo do_shortcode( $mcform );?>
                    
                </div>
            </div>
        </div>
    </section>
        


    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        $args = array('post_type' => 'mc4wp-form', 'posts_per_page' => -1);
        $mc_forms = array('0' =>'Select Form ID');
        if( $mcForms = get_posts( $args ) ){
            foreach($mcForms as $mcForm){
                $mc_forms[$mcForm->post_title] = $mcForm->ID;
                //echo(do_shortcode('[contact-form-7 id="'.$cf7Form->ID.'" title="'.($cf7Form->post_title).'"]'));
            }
        }        vc_map(array(
                'name'              => esc_html__('News Letter', 'petenica-core'),
                'description'       => esc_html__('Newsletter', 'petenica-core'),
                'base'              => 'petenica_newsletter',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                	array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'News from our company',                        
                    ),
                	array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'RECENT WORK',
                        'holder' => 'h2',
                        
                    ),
                   array(
                        'type' => 'dropdown',
                        'heading' => __( 'Select Contact Form', 'js_composer' ),
                        'param_name' => 'mcf',
                        'value' => $mc_forms,
                        'save_always' => true,
                        
                    ),
                ),
            )
        );

    }
});
