<?php
add_shortcode('petenica_packages2', function($atts, $content) {
    ob_start();
    $atts = shortcode_atts(array(
        'title' => 'Our Pricing List',
        'subtitle' => 'For professional dog and cat grooming needs',
        'bg_image'=> '',
    ),$atts);
    $packages = vc_param_group_parse_atts($content);
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    ?>
    <!--Pricing Section-->
    <section class="pricing-section" style="background-image:url(<?php echo $bg_image; ?>)">
        <div class="auto-container">
            <!--Sec Title Two-->
            <div class="sec-title-two light centered">
                <div class="title-icon">
                    <img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="" />
                </div>
                <h2><?php echo $atts['title']; ?></h2>
                <div class="text"><?php echo $atts['subtitle']; ?></div>
            </div>
            <div class="inner-container2">
                <div class="row clearfix">
                    <?php foreach ($packages as $package) { ?>  
                    <!--Price Block Two-->
                    <div class="price-block-two col-md-4 col-sm-6 col-xs-12 text-center">
                        <div class="inner-box">
                            <div class="title"><?php echo $package['title']; ?></div>
                            <div class="price"><?php echo $package['price']; ?><span>/ <?php echo $package['price_per']; ?></span></div>
                            <ul>
                                <li><span><?php echo esc_html__( 'Includes', 'petenica-core' ); ?>:</span></li>
                                <?php $features = explode(',',  $package['features']) ?>
                                <?php foreach ($features as $feature): ?>
                                    <li><?php echo $feature; ?></li>
                                <?php endforeach ?>                                
                            </ul>
                            <a href="<?php echo $package['btnlink']; ?>" class="theme-btn btn-style-seven"><?php echo $package['btntitle']; ?></a>
                        </div>
                    </div>
                    <?php } ?>
                </div>
            </div>
        </div>
    </section>
    <!--End Pricing Section-->  
    <?php
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Packages 2', 'petenica-core'),
                'description'       => esc_html__('Create Packages ', 'petenica-core'),
                'base'              => 'petenica_packages2',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                   array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                    
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('Services', 'petenica-core'),
                        'params' => array(
                            array(
                                'type' => 'textfield',
                                'param_name' => 'title',
                                'heading' => esc_html__('Title', 'petenica-core'),
                                'value' => 'Standard'
                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'price',
                                'heading' => esc_html__('Price', 'petenica-core'),
                                'value' => '$25'
                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'price_per',
                                'heading' => esc_html__('Price per', 'petenica-core'),
                                'value' => 'Visit'
                            ),
                             array(
                                'type' => 'textarea',
                                'param_name' => 'features',
                                'heading' => esc_html__('Features', 'petenica-core'),
                                'description' => 'Features must be sperated by  ',
                                'value' => 'Bath Spa & Brush , Trim & Grooming , Cleaning & Plucking , Pick n Drop Service'
                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'btntitle',
                                'heading' => esc_html__('Button Title', 'petenica-core'),
                                'value' => 'details'
                                
                            ),
                             array(
                                'type' => 'textfield',
                                'param_name' => 'btnlink',
                                'heading' => esc_html__('Button Link', 'petenica-core'),
                                'value' => '#'
                            ),
                        )
                    )
                ),
            )
        );

    }
});
