<?php
add_shortcode('petenica_pproducts', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title'         => 'Popular Products',
        'small_title'   => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'read_more'     => 'Read More',
        'order'         => 'ASC',
        
        
    ),$atts);
    $product_item = isset($product_item) ? $product_item : 'innerfilter';
    $posts = new WP_Query(array(
        'post_type' => 'product',
        'posts_per_page' => -1,
        'order' => $atts['order'],
        
    ));
    $args = array(
	    'taxonomy'   => "product_cat",
	    'hide_empty' => true,
	);
	$product_categories = get_terms($args);
    ?>
    <!--Popular Products Section-->
    <section class="popular-products-section">
    	<div class="auto-container">
        	<!--Sec Title Two-->
            <div class="sec-title-two centered">
            	<div class="title-icon">
                	<img src="<?php echo get_template_directory_uri(); ?>/framework/assets/images/icons/title-icon.png" alt="" />
                </div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>            
            <!--MixitUp Galery-->
            <div class="mixitup-gallery">                
                <!--Filter-->
                <div class="filters text-center clearfix">                	
                	<ul class="filter-tabs filter-btns clearfix">
                        <li class="active filter" data-role="button" data-filter="all"><?php echo esc_html__( 'All', 'petenica-core' ); ?></li>
                        <?php foreach ($product_categories as $product_catelgory): ?>
                        	<li class="filter" data-role="button" data-filter=".<?php echo $product_catelgory->slug ?>"><?php echo $product_catelgory->name ?></li>
                        <?php endforeach ?>                        
                    </ul>                    
                </div>                
                <div class="filter-list row clearfix products-grid">					
                    <?php
                $i = 1;
                 while ($posts->have_posts()) : $posts->the_post();
                    global $product;
                ?>
                <div class="col-md-3">
                    <?php wc_get_template_part( 'item-product/'.$product_item ); ?>
                </div>                
                <?php
                    $i++;
                endwhile;
                wp_reset_postdata();
                ?>                       
                </div>
            </div>            
        </div>
    </section>
    <!--End Popular Products Section-->      
    <?php
    $html = ob_get_clean();
    return $html;
});
// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Popular Prodcuts', 'petenica-core'),
                'description'       => esc_html__('Display Products', 'petenica-core'),
                'base'              => 'petenica_pproducts',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'Popular Products',                        
                    ),
                	  
                    array(
                        'type' => 'dropdown',
                        'param_name' => 'order',
                        'heading' => esc_html__('Post order', 'petenica-core'),
                        'value' => array(
                            'Ascending' => 'ASC',
                            'Descending ' => 'DESC',
                        )
                    ),                    
                   
                ),
            )
        );

    }
});
