<?php
add_shortcode('petenica_services', function($atts, $content) {
    ob_start();
    $atts = shortcode_atts(array(
        'title' => 'Services of Petenica',
        'subtitle' => 'Because We Really Care About Your Pets',
        'style' => 'style_01',
        'bg_image'=> '',
        'titlebg'=> '',
        'ppp'           => 3,
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';
    $services = vc_param_group_parse_atts($content);
    $bg_image = wp_get_attachment_image_src($atts['bg_image'], 'full');
    $bg_image = isset($bg_image[0]) ? $bg_image[0] : '';
    $posts = new WP_Query(array(
                    'post_type' => 'petenica_service',
                    'posts_per_page' => $atts['ppp']
        
                    ));
    ?>
    <?php if ($atts['style'] == 'style_01'): ?> 
   	<!--Services Section-->
    <section class="services-section" style="background-image:url(<?php echo $bg_image; ?>)">
    	<div class="auto-container">
        	<!--Sec Title-->
            <div class="sec-title centered">
            	<div class="separator">
                	<?php if (!empty($titlebg)): ?>
                        <img src="<?php echo esc_url($titlebg); ?>">
                    <?php else: ?>
                            <span class="icon flaticon-pawprint-1"></span>
                    <?php endif ?>
                </div>
                <div class="title"><?php echo $atts['subtitle']; ?></div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>
            <div class="single-item-carousel owl-carousel owl-theme">
            	<?php
            	$count = 1;
                //foreach($services as $service) {
                
                

                if ($posts->have_posts()) {
                    while ($posts->have_posts()) {
                        $posts->the_post();
                        $serviceicon = get_post_meta(get_the_ID() ,'petenica_meta_icon', true );
                ?>
                <?php if ($count % 4 == 1): ?>
                	<div class="slide row">
                <?php endif ?>
                
                    <!--Services Block-->
                    <div class="services-block col-md-6 col-sm-6 col-xs-12">
                        <div class="inner-box">
                            <div class="content">
                                <div class="icon-box">
                                    <span class="icon <?php echo $serviceicon; ?>"></span>
                                </div>
                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                <div class="text"><?php echo petenica_substring( get_the_excerpt(), 13, '...' ); ?></div>
                            </div>
                        </div>
                    </div>
                    
                   
                    <?php 
                    
                    if ($count %4 == 0): ?>
                    	</div>
                    <?php endif; $count++; ?>
                
                 <?php }   
             }?>
                 <?php if ($count %4 != 0): ?>
                 	</div>
                 <?php endif ?>
               
            </div>
        </div>
    </section>
    <!--End Services Section-->
	<?php elseif ($atts['style'] == 'style_02'): ?>
	<!--Services Section Four-->
    <section class="services-section-four">
    	<div class="auto-container">
        	<h2><?php echo $atts['title']; ?></h2>
            <div class="row clearfix">
            <?php 	 if ($posts->have_posts()) {
                    while ($posts->have_posts()) {
                        $posts->the_post();
                        $serviceicon = get_post_meta(get_the_ID() ,'petenica_meta_icon', true );
                ?>  <!--Services Block-->
                    <div class="services-block col-md-6 col-sm-6 col-xs-12">
                        <div class="inner-box">
                            <div class="content">
                                <div class="icon-box">
                                    <span class="icon <?php echo $serviceicon; ?>"></span>
                                </div>
                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                <div class="text"><?php echo petenica_substring( get_the_excerpt(), 13, '...' ); ?></div>
                            </div>
                        </div>
                    </div>
                 <?php }   
             }?>
             </div>
        </div>
    </section>
    <!--End Services Section Four-->
    <?php else: ?>
        <section class="services-section-five" style="background-image:url(images/background/pattern-5.png)">
        <div class="auto-container">
            <!--Sec Title-->
            <div class="sec-title centered">
                <div class="separator">
                    <span class="icon flaticon-pawprint-1"></span>
                </div>
                <div class="title"><?php echo $atts['subtitle']; ?></div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>
            <div class="row clearfix">
                 <?php   if ($posts->have_posts()) {
                    while ($posts->have_posts()) {
                        $posts->the_post();
                        $serviceicon = get_post_meta(get_the_ID() ,'petenica_meta_icon', true );
                ?>  <!--Services Block-->
                <!--Services Block Five-->
                <div class="services-block-five col-md-4 col-sm-6 col-xs-12">
                    <div class="inner-box">
                        <div class="image">
                            <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail('petenica-serv'); ?></a>
                        </div>
                        <div class="lower-content">
                            <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <div class="text"><?php echo petenica_substring( get_the_excerpt(), 20, '...' ); ?></div>
                            <a href="#" class="read-more">read more</a>
                        </div>
                    </div>
                </div>
                  <?php }   
             }?>
               
                
            </div>
        </div>
    </section>
    <?php endif ?>    
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Service', 'petenica-core'),
                'description'       => esc_html__('Create services ', 'petenica-core'),
                'base'              => 'petenica_services',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    array(
                        'type' => 'dropdown',
                        'param_name' => 'style',
                        'heading' => esc_html__('Style', 'petenica-core'),
                        'holder' => 'h2',
                        'value' => array(
                            'Style 01 (Carousel)' => 'style_01',
                            'Style 02 ' => 'style_02',
                            'Style 03 ' => 'style_03',
                        )
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'bg_image',
                                'heading' => esc_html__('Background Image', 'petenica-core'),
                                'value' => ''
                            ),
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                    /*array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('Services', 'petenica-core'),
                        'params' => array(
                           
                            array(
                                'type' => 'textfield',
                                'param_name' => 'title',
                                'heading' => esc_html__('Title', 'petenica-core'),
                                'value' => 'Pet Grooming'
                            ),
                            array(
                                'type' => 'textarea',
                                'param_name' => 'text',
                                'heading' => esc_html__('text', 'petenica-core'),
                                'value' => 'Abore et dolore magna aliqua ut enim minim veniam quis nostrud exercitation ullamco laboris nisi aliquip eiusmod tempor incididunt labore.'
                            ),
                            array(
		                      'type'        => 'dropdown',
		                      'heading'     => __('Icon'),
		                      'param_name'  => 'icon',
		                      'admin_label' => true,
		                      'value'       => array(
		                        'flaticon-two-dog-pawprints' => 'two-dog-pawprints',
		                        'flaticon-face-of-staring-dog' => 'face-of-staring-dog',
		                        'flaticon-van' => 'van',
		                        'flaticon-truck' => 'truck',
		                        'flaticon-dog-bone' => 'dog-bone',
		                        'flaticon-bone' => 'bone',
		                        'flaticon-dog-3' => 'dog-3',
		                        'flaticon-rabbit' => 'rabbit',
		                        'flaticon-easter-bunny' => 'easter-bunny',
		                        'flaticon-animals-3' => 'animals-3',
		                        'flaticon-animals-2' => 'animals-2',
		                        'flaticon-pets-hotel-house-sign-with-a-paw' => 'pets-hotel-house-sign-with-a-paw',
		                        'flaticon-dog-in-front-of-a-man' => 'dog-in-front-of-a-man',
		                        'flaticon-man' => 'man',
		                        'flaticon-pawprint' => 'pawprint',
		                        'flaticon-pawprint-1' => 'pawprint-1',
		                        'flaticon-animals-1' => 'animals-1',
		                        'flaticon-dog-2' => 'dog-2',
		                        'flaticon-cat' => 'cat',
		                        'flaticon-dog-1' => 'dog-1',
		                        'flaticon-award' => 'award',
		                        'flaticon-medal' => 'medal',
		                        'flaticon-animal-3' => 'animal-3',
		                        'flaticon-animal-2' => 'animal-2',
		                        'flaticon-animals' => 'animals',
		                        'flaticon-brush' => 'brush',
		                        'flaticon-animal-1' => 'animal-1',
		                        'flaticon-dog' => 'dog',
		                        'flaticon-animal' => 'animal',
		                        'flaticon-siberian-husky' => 'siberian-husky',
		                        'flaticon-pet-grooming' => 'pet-grooming',
		                      )),
                        )
                    )*/
                ),
            )
        );

    }
});
