<?php
add_shortcode('petenica_team2', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title' => 'Experienced Doctors',
        'subtitle' => 'With Best Facilities & Friendly Staff',
        'ppp'           => 3,
        'order'         => 'ASC',
        'titlebg'=> ''

    ),$atts);


    $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';
    
    $posts = new WP_Query(array(
        'post_type' => 'petenica_team',
        'posts_per_page' => $atts['ppp'],
        'order' => $atts['order'],
        
    ));
    ?>
    <!--Counter Section-->
    <section class="counter-section experienced-dr">
        <div class="auto-container">
            <div class="image-layer" style="background-image:url(<?php echo esc_url($titlebg); ?>)"></div>
            <h2><?php echo $atts['title']; ?><span><?php echo $atts['subtitle']; ?></span></h2>
            <div class="fact-counter">
                <div class="row clearfix">
                    <div class="">
                        <div class="auto-container">   


                            <?php
                            if ($posts->have_posts()) {
                                while ($posts->have_posts()) {
                                    $posts->the_post();


                                    $fb = get_post_meta(get_the_ID() ,'petenica_meta_facebook', true );
                                    $twitter = get_post_meta(get_the_ID() ,'petenica_meta_twitter', true );
                                    $dribble = get_post_meta(get_the_ID() ,'petenica_meta_dribble', true );
                                    $gplus = get_post_meta(get_the_ID() ,'petenica_meta_gplus', true );
                                    ?>
                                    <!--Team Block-->
                                    <div class="team-block col-md-3 col-sm-4 col-xs-12 wow fadeInUp" data-wow-duration="1500ms" data-wow-delay="0ms">
                                        <div class="inner-box">
                                            <div class="image">
                                                <a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
                                            </div>
                                            <div class="lower-box">
                                                <h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                                                <div class="designation"><?php echo get_post_meta( get_the_ID(), 'petenica_meta_designation' , true ); ?></div>
                                                <div class="social-box">
                                                    <ul class="social-icon-one">
                                                        <?php
                                                        if(!empty($fb)) echo '<li><a href="'.$fb.'" class="tran3s"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>';
                                                        if(!empty($twitter)) echo '<li><a href="'.$twitter.'" class="tran3s"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>';
                                                        if(!empty($dribbble)) echo '<li><a href="'.$dribbble.'" class="tran3s"><span class="fa fa-dribbble" aria-hidden="true"></span></a></li>';
                                                        if(!empty($gplus)) echo '<li><a href="'.$gplus.'" class="tran3s"><span class="fa fa-google-plus" aria-hidden="true"></span></a></li>';
                                                        ?>
                                                    </ul>
                                                </div>
                                            </div>
                                        </div>
                                    </div>


                                <?php  }

                            }  ?>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
            'name'              => esc_html__('Team 2', 'petenica-core'),
            'description'       => esc_html__('Create team members', 'petenica-core'),
            'base'              => 'petenica_team2',
            'category'          => esc_html__('petenica', 'petenica-core'),
            'params'            => array(
             array(
                'type' => 'textfield',
                'param_name' => 'ppp',
                'heading' => esc_html__('Posts show count', 'petenica-core'),
                'value' => 3,
            ),
             array(
                'type' => 'dropdown',
                'param_name' => 'order',
                'heading' => esc_html__('Post order', 'petenica-core'),
                'value' => array(
                    'Ascending' => 'ASC',
                    'Descending ' => 'DESC',
                )
            ),
             array(
                'type' => 'textfield',
                'param_name' => 'title',
                'heading' => esc_html__('Title', 'petenica-core'),
                'holder' => 'h2'
            ),
              array(
                'type' => 'textfield',
                'param_name' => 'subtitle',
                'heading' => esc_html__('Sub Title', 'petenica-core'),
                'holder' => 'h2'
            ),
             array(
                'type' => 'attach_image',
                'param_name' => 'titlebg',
                'heading' => esc_html__('Title background Image', 'petenica-core'),
                'value' => ''
            ),

         ),
        )
    );

    }
});
