<?php
add_shortcode('petenica_team3', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'title' => 'Our Team Members',
        'subtitle' => 'Because We Really Care About Your Pets',
        'ppp'           => 3,
        'order'         => 'ASC',
        'titlebg'=> ''
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';
    
    $posts = new WP_Query(array(
        'post_type' => 'petenica_team',
        'posts_per_page' => $atts['ppp'],
        'order' => $atts['order'],
        
    ));
    ?>
        
    	<!--Team Section-->
    <section class="team-section">
    	<div class="auto-container">
        	<!--Sec Title-->
            <div class="sec-title centered">
            	<div class="separator">
                	<?php if (!empty($titlebg)): ?>
                        <img src="<?php echo esc_url($titlebg); ?>">
                    <?php else: ?>
                            <span class="icon flaticon-pawprint-1"></span>
                    <?php endif ?>
                </div>
                <div class="title"><?php echo $atts['subtitle']; ?></div>
                <h2><?php echo $atts['title']; ?></h2>
            </div>
            <div class="row clearfix">

        
                <?php
                if ($posts->have_posts()) {
                    while ($posts->have_posts()) {
                        $posts->the_post();
                   
               
                $fb = get_post_meta(get_the_ID() ,'petenica_meta_facebook', true );
                $twitter = get_post_meta(get_the_ID() ,'petenica_meta_twitter', true );
                $dribble = get_post_meta(get_the_ID() ,'petenica_meta_dribble', true );
                $gplus = get_post_meta(get_the_ID() ,'petenica_meta_gplus', true );
                ?>
                 <!--Team Block-->
                <div class="team-block team-block2 col-md-3 col-sm-4 col-xs-12">
                	<div class="inner-box">
                    	<div class="image">
                        	<a href="<?php the_permalink(); ?>"><?php the_post_thumbnail(); ?></a>
                        </div>
                        <div class="lower-box">
                        	<h3><a href="<?php the_permalink(); ?>"><?php the_title(); ?></a></h3>
                            <div class="designation"><?php echo get_post_meta( get_the_ID(), 'petenica_meta_designation' , true ); ?></div>
                            <div class="social-box">
                            	<ul class="social-icon-one">
                                    <?php
                                    if(!empty($fb)) echo '<li><a href="'.$fb.'" class="tran3s"><span class="fa fa-facebook" aria-hidden="true"></span></a></li>';
                                    if(!empty($twitter)) echo '<li><a href="'.$twitter.'" class="tran3s"><span class="fa fa-twitter" aria-hidden="true"></span></a></li>';
                                    if(!empty($dribbble)) echo '<li><a href="'.$dribbble.'" class="tran3s"><span class="fa fa-dribbble" aria-hidden="true"></span></a></li>';
                                    if(!empty($gplus)) echo '<li><a href="'.$gplus.'" class="tran3s"><span class="fa fa-google-plus" aria-hidden="true"></span></a></li>';
                                     ?>
                                </ul>
                            	
                            </div>
                        </div>
                    </div>
                </div>                           
                <?php  }
                   
                }  ?>
                      
            </div>
        </div>
    </section>

       

    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Team 3', 'petenica-core'),
                'description'       => esc_html__('Create team members', 'petenica-core'),
                'base'              => 'petenica_team3',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                   array(
                        'type' => 'textfield',
                        'param_name' => 'ppp',
                        'heading' => esc_html__('Posts show count', 'petenica-core'),
                        'value' => 3,
                    ),
                    array(
                        'type' => 'dropdown',
                        'param_name' => 'order',
                        'heading' => esc_html__('Post order', 'petenica-core'),
                        'value' => array(
                            'Ascending' => 'ASC',
                            'Descending ' => 'DESC',
                        )
                    ),
                   array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'subtitle',
                        'heading' => esc_html__('Sub Title', 'petenica-core'),
                        'holder' => 'h2'
                    ),
                    array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                    
                ),
            )
        );

    }
});
