<?php
add_shortcode('petenica_testimonial', function($atts, $content) {
    ob_start();

    $atts = shortcode_atts(array(
        'image' => '',
        'title' => 'Read Testimonials',
        'small_title' => 'Because We Really Care About Your Pets',
        'titlebg'=> ''
       
    ),$atts);

  
   $titlebg = wp_get_attachment_image_src($atts['titlebg'], 'full');
    $titlebg = isset($titlebg[0]) ? $titlebg[0] : '';

    
    $quotes = vc_param_group_parse_atts($content);
    ?>
    <!--Testimonial Section-->
    <section class="testimonial-section">
    	<div class="auto-container">
        	<!--Sec Title-->
            <div class="sec-title centered">
            	<div class="separator">
                	<?php if (!empty($titlebg)): ?>
                        <img src="<?php echo esc_url($titlebg); ?>">
                    <?php else: ?>
                            <span class="icon flaticon-pawprint-1"></span>
                    <?php endif ?>
                </div>
                <div class="title"><?php echo $atts['small_title']; ?></div>
                <h2><?php echo $atts['title']; ?></h2>

            </div>
            
            <div class="testimonials-item-carousel owl-carousel owl-theme">
            	<?php
                        foreach($quotes as $quote) {
                            $author_image = wp_get_attachment_image_src($quote['author_image'], 'full');
                            ?>
                <!--Testimonial Block-->
                <div class="testimonial-block">
                	<div class="inner-box">
                    	<div class="quote-icon">
                        	<span class="icon flaticon-quotation-marks"></span>
                        </div>
                        <div class="text"><?php echo $quote['quote']; ?></div>
                        <div class="author-image">
                        	<img src="<?php echo $author_image[0]; ?>" alt="<?php echo $quote['author_name']; ?>">
                        </div>
                        <div class="author-name"><?php echo $quote['author_name']; ?></div>
                        <div class="designation"><?php echo $quote['author_designation']; ?></div>
                    </div>
                </div>
                
                <?php
                        }
                        ?>        
                
            </div>
            
        </div>
    </section>
    <!--End Testimonial Section-->
   

    <?php
    $html = ob_get_clean();
    return $html;
});



// VC Config
add_action( 'vc_before_init', function() {
    if( function_exists('vc_map') ) {
        vc_map(array(
                'name'              => esc_html__('Testimonial', 'petenica-core'),
                'description'       => esc_html__('Full width section', 'petenica-core'),
                'base'              => 'petenica_testimonial',
                'category'          => esc_html__('petenica', 'petenica-core'),
                'params'            => array(
                    
                    array(
                        'type' => 'textfield',
                        'param_name' => 'title',
                        'heading' => esc_html__('Title', 'petenica-core'),
                        'value' => 'Check what’s our client Say about us'
                    ),
                    array(
                        'type' => 'textfield',
                        'param_name' => 'small_title',
                        'heading' => esc_html__('Small title', 'petenica-core'),
                        'value' => 'Read Testimonials',
                        'holder' => 'h2'
                    ),
                   array(
                                'type' => 'attach_image',
                                'param_name' => 'titlebg',
                                'heading' => esc_html__('Title Icon Image', 'petenica-core'),
                                'value' => ''
                            ),
                    array(
                        'type' => 'param_group',
                        'value' => '',
                        'param_name' => 'content',
                        'heading' => esc_html__('testional', 'petenica-core'),
                        'params' => array(
                            array(
                                'type' => 'textarea',
                                'param_name' => 'quote',
                                'heading' => esc_html__('Quote Text', 'petenica-core'),
                                'default'	=> 'And taped a amazingly lazily far gosh oh bald oh raffishly ouch ladybug far that the and alas slapped alas far brusque pridefully kneeled python horse alas sound because more prodigiously outgrew tortoise characteristic stupidly  barring therefore so sniffed before drank.'
                            ),
                            array(
                                'type' => 'attach_image',
                                'param_name' => 'author_image',
                                'heading' => esc_html__('Quote Author image', 'petenica-core'),

                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'author_name',
                                'heading' => esc_html__('Author Name', 'petenica-core'),
                                'default'	=> 'Tina Cambell'
                            ),
                            array(
                                'type' => 'textfield',
                                'param_name' => 'author_designation',
                                'heading' => esc_html__('Author Designation', 'petenica-core'),
                                'default'	=> 'pet owner'
                            ),
                        )
                    )
                ),
            )
        );

    }
});
