<?php 
/**
 * Adds Foo_Widget widget.
 */
class Recentposts_Widget extends WP_Widget {

	/**
	 * Register widget with WordPress.
	 */
	function __construct() {
		parent::__construct(
			'recentpost_widget', // Base ID
			esc_html__( 'Recentposts', 'petenica-core' ), // Name
			array( 'description' => esc_html__( 'Recent posts Widget', 'petenica-core' ), ) // Args
		);
	}

	/**
	 * Front-end display of widget.
	 *
	 * @see WP_Widget::widget()
	 *
	 * @param array $args     Widget arguments.
	 * @param array $instance Saved values from database.
	 */
	public function widget( $args, $instance ) {
		extract( $args );
extract( $instance );
$title = apply_filters('widget_title', $instance['title']);
$post_type = $instance['post_type'];
if (empty($post_type)) {
	$post_type = 'post';
}


$args = array(
	'post_type' => $post_type,
	'posts_per_page' => $number_post
);

$query = new WP_Query($args);
if($query->have_posts()):
?>
<div class="footer-widget posts-widget">
<?php
if ( $title ) {
    echo ($before_title)  . trim( $title ) . $after_title;
}
	while($query->have_posts()):$query->the_post(); 
		$petimage = '';
		if ($post_type == 'petenicapet') {
	$images = get_post_meta( get_the_ID(), 'petenica_meta_pet_images', 1);
 $count = 1; 
 if (!empty($images)) {
 	# code...

	foreach ($images as $id => $url) {            
		                       if ($count == 1) {
		                                  $petimage  = wp_get_attachment_image( $id, 'thumb' );
		                                  $count++;
		                                }
		                            }}
 }
 ?>
	
		<article class="widget-post ">
            
		        <?php if ($post_type == 'petenicapet'): ?>
		        	 <figure class="post-thumb">
		                    <a href="<?php the_permalink(); ?>" title="" class="entry-image">
		                    		<?php echo $petimage; ?> 
                              </a>  
		                </figure>
                             <?php else: ?>
		        <?php if ( has_post_thumbnail() ) {
		            ?>
		              <figure class="post-thumb">
		                    <a href="<?php the_permalink(); ?>" title="" class="entry-image">
		                    	
                             	<?php the_post_thumbnail( 'petenica-post-thumb' ); ?>
		                    	
		                        
		                    </a>  
		                </figure>
		             
		            <?php
		        }
		        ?><?php endif ?>
		        <div class="text">
		          <?php
		              if (get_the_title()) {
		              ?>
		                  <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
		                  
		              <?php
		          }
		          ?>
		          <div class="post-info"><?php the_time( get_option('date_format', 'd M, Y') ); ?></div>
		          
		        </div>
		    
		</article>
	
<?php endwhile; ?>
<?php wp_reset_postdata(); ?>

</div>
<?php endif; 

	}

	/**
	 * Back-end widget form.
	 *
	 * @see WP_Widget::form()
	 *
	 * @param array $instance Previously saved values from database.
	 */
	public function form( $instance ) {
		$defaults = array(
            'title' => 'Latest Post',
            'layout' => 'default' ,
            'number_post' => '4',
            'post_type' => 'post'
        );
        $instance = wp_parse_args((array) $instance, $defaults);
        // Widget admin form
        ?>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'title' )); ?>"><?php esc_html_e( 'Title:', 'petenica-core' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'title' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'title' )); ?>" type="text" value="<?php echo esc_attr( $instance['title'] ); ?>" />
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id('post_type')); ?>">
                <?php echo esc_html__('Type:', 'petenica-core' ); ?>
            </label>
            <br>
            <select id="<?php echo esc_attr($this->get_field_id('post_type')); ?>" name="<?php echo esc_attr($this->get_field_name('post_type')); ?>">
                <?php foreach (get_post_types(array('public' => true)) as $key => $value) { ?>
                    <?php if($key!='attachment' && $key!='product'){ ?>
                    <option value="<?php echo esc_attr( $key ); ?>" <?php selected($instance['post_type'],$key); ?> ><?php echo esc_html( $value ); ?></option>
                    <?php } ?>
                <?php } ?>
            </select>
        </p>
        <p>
            <label for="<?php echo esc_attr($this->get_field_id( 'number_post' )); ?>"><?php esc_html_e( 'Num Posts:', 'petenica-core' ); ?></label>
            <input class="widefat" id="<?php echo esc_attr($this->get_field_id( 'number_post' )); ?>" name="<?php echo esc_attr($this->get_field_name( 'number_post' )); ?>" type="text" value="<?php echo esc_attr($instance['number_post']); ?>" />
        </p>
		<?php 
	}

	/**
	 * Sanitize widget form values as they are saved.
	 *
	 * @see WP_Widget::update()
	 *
	 * @param array $new_instance Values just sent to be saved.
	 * @param array $old_instance Previously saved values from database.
	 *
	 * @return array Updated safe values to be saved.
	 */
	public function update( $new_instance, $old_instance ) {
		$instance = array();
        $instance['title'] = ( ! empty( $new_instance['title'] ) ) ? strip_tags( $new_instance['title'] ) : '';
        $instance['post_type'] = $new_instance['post_type'];
        $instance['number_post'] = ( ! empty( $new_instance['number_post'] ) ) ? strip_tags( $new_instance['number_post'] ) : '';
        $instance['layout'] = ( ! empty( $new_instance['layout'] ) ) ? $new_instance['layout'] : 'default';
        return $instance;
	}

} // class Foo_Widget

function register_recentpost_widget() {
    register_widget( 'Recentposts_Widget' );
}
add_action( 'widgets_init', 'register_recentpost_widget' );

 ?>